/*
 * Description.java
 *
 * Created on 2 dcembre 2002, 10:22
 */

package adelfeToolkit.activities;

import java.io.Serializable;
import java.util.Vector;
import java.net.URL;

/** A Description points to a html file that describes an ActionToDo.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class Description implements Serializable {
  
  /** A String that represents the path to find the html file. */  
  private String filePath;
    
  /** The name of the description. */  
  private String name;
  
  /** The URL of the html file. */  
  private URL url;
  
  /** The shorcuts that are contained in the description. */  
  private Vector shortcuts = new Vector();
  
  /** The name of the html file. */  
  private String fileName;
  
  /** Creates a new instance of Description */
  public Description() {
  }
  
  /** Creates a new instance of Description with initial values:
   * @param filePath the value for filePath field
   * @param fileName the value for fileName field
   * @param name the value for name field
   */  
  public Description(String filePath, String fileName, String name) {
    setFilePath(filePath);
    setFileName(fileName);
    setName(name);
  }
  
  /** Getter for property fileName.
   * @return Value of property fileName.
   *
   */
  public java.lang.String getFileName() {
    return fileName;
  }  
   
  /** Setter for property fileName.
   * @param fileName New value of property fileName.
   *
   */
  public void setFileName(java.lang.String fileName) {
    this.fileName = fileName;
  }  
  
  /** Getter for property filePath.
   * @return Value of property filePath.
   *
   */
  public java.lang.String getFilePath() {
    return filePath;
  }
  
  /** Setter for property filePath.
   * @param filePath New value of property filePath.
   *
   */
  public void setFilePath(java.lang.String filePath) {
    this.filePath = filePath;
  }
  
  /** Getter for property name.
   * @return Value of property name.
   *
   */
  public java.lang.String getName() {
    return name;
  }
  
  /** Setter for property name.
   * @param name New value of property name.
   *
   */
  public void setName(java.lang.String name) {
    this.name = name;
  }
  
  /** Getter for property shortcuts.
   * @return Value of property shortcuts.
   *
   */
  public java.util.Vector getShortcuts() {
    return shortcuts;
  }
  
  /** Setter for property shortcuts.
   * @param shortcuts New value of property shortcuts.
   *
   */
  public void setShortcuts(java.util.Vector shortcuts) {
    this.shortcuts = shortcuts;
  }
  
  /** Getter for property url.
   * @return Value of property url.
   *
   */
  public java.net.URL getUrl() {
    return url;
  }
  
  /** Setter for property url.
   * @param url New value of property url.
   *
   */
  public void setUrl(java.net.URL url) {
    this.url = url;
  }
  
}
