/*
 * Example.java
 *
 * Created on 2 dcembre 2002, 10:23
 */

package adelfeToolkit.activities;

import java.io.Serializable;
import java.net.URL;

/** An Example points to a html file that illustrates an ActionToDo.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class Example implements Serializable {
  
  /** The string that represents the path to the html file. */  
  private String filePath;
  
  /** The URL of the html file. */  
  private URL url;
  
  /** The name of the Example. */  
  private String name;
  
  /** The name of the html file. */  
  private String fileName;
  
  /** Creates a new instance of Example */
  public Example() {
  }
  
  /** Creates a new instance of Example with initial values:
   * @param filePath initial value of filePath field
   * @param fileName initial value of fileName field
   * @param name initial value of name field
   */  
  public Example(String filePath, String fileName, String name) {
    setFilePath(filePath);
    setFileName(fileName);
    setName(name);
  } 
  
  /** Getter for property fileName.
   * @return Value of property fileName.
   *
   */
  public java.lang.String getFileName() {
    return fileName;
  }
  
  /** Setter for property fileName.
   * @param fileName New value of property fileName.
   *
   */
  public void setFileName(java.lang.String fileName) {
    this.fileName = fileName;
  }
  
  /** Getter for property filePath.
   * @return Value of property filePath.
   *
   */
  public java.lang.String getFilePath() {
    return filePath;
  }
  
  /** Setter for property filePath.
   * @param filePath New value of property filePath.
   *
   */
  public void setFilePath(java.lang.String filePath) {
    this.filePath = filePath;
  }
  
  /** Getter for property name.
   * @return Value of property name.
   *
   */
  public java.lang.String getName() {
    return name;
  }
  
  /** Setter for property name.
   * @param name New value of property name.
   *
   */
  public void setName(java.lang.String name) {
    this.name = name;
  }
  
  /** Getter for property url.
   * @return Value of property url.
   *
   */
  public java.net.URL getUrl() {
    return url;
  }
  
  /** Setter for property url.
   * @param url New value of property url.
   *
   */
  public void setUrl(java.net.URL url) {
    this.url = url;
  }
  
}
