/*
 * ActionToDoNode.java
 *
 * Created on 5 juin 2003, 11:00
 */

package adelfeToolkit.gui;
import adelfeToolkit.activities.ActionToDo;
import adelfeToolkit.activities.Project;
import adelfeToolkit.language.LanguageChangeSupport;

/** An ActionToDoNode is a specific AdelfeMutableTreeNode that represents an
 * ActionToDo
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ActionToDoNode extends AdelfeMutableTreeNode {
  
  /** Creates a new instance of ActionToDoNode in terms of a LanguageChangeSupport.
   * @param act the ActionToDo to represent
   * @param lcs the LanguageChangeSupport that manages the language changes
   */
  public ActionToDoNode(ActionToDo act, LanguageChangeSupport lcs) {
    super(act);
    actionToDo = act;
    languageChangeSupport = lcs;
  }
  
  /** this method is used by the AdelfeTreeCellRenderer to display the text
   * coresponding to each node.
   * @return the string that represents the ActionToDo
   */  
  public String toString() {
    if (actionToDo instanceof Project){
      return actionToDo.toString();}
    else {
      return (actionToDo.toString(this.languageChangeSupport));}
  }
  
  /** This method is call when a right click occurs
   * @param container the container of the node
   * @param evt the received event
   */  
  public void rightClick(java.awt.Container container, java.awt.event.MouseEvent evt) {
  }
  
  /** the action represened by the node */  
  private ActionToDo actionToDo;
  
  /** the LanguageChangeSupport that manages the language change */  
  private LanguageChangeSupport languageChangeSupport;
  
}
