/*
 * AdelfeAboutFrame.java
 *
 * Created on 16 dcembre 2002, 18:21
 */

package adelfeToolkit.gui;

import adelfeToolkit.language.LanguageChangeSupport;

/** This frame is used to display information about the Adelfe project.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class AdelfeAboutFrame extends javax.swing.JFrame implements adelfeToolkit.language.LanguageChangeListener {
  
  /** Creates new form AdelfeAboutFrame
   * @param o the owner
   */
  public AdelfeAboutFrame(AdelfeToolkitUI o) {
    owner = o;
    initComponents();
    languageChangeSupport = o.getLanguageChangeSupport();
    languageChangeSupport.addLanguageChangeListener(this);
    this.setIconImage(java.awt.Toolkit.getDefaultToolkit().getImage(getClass().getResource("/adelfeToolkit/gui/image/SMAC.gif")));
    this.getContentPane().add(new AdelfeStartPanel());
    this.setTitle("ADELFE");
    pack();
    this.show();
    this.repaint();
    this.toFront();
  }
  
  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the Form Editor.
   */
  private void initComponents() {//GEN-BEGIN:initComponents

    //setTitle(this.languageChangeSupport.getRessourceBundle().getString("Toolkit"));
    setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
    setResizable(false);
    addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(java.awt.event.WindowEvent evt) {
        exitForm(evt);
      }
    });

    java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
    setBounds((screenSize.width-400)/2, (screenSize.height-300)/2, 400, 300);
  }//GEN-END:initComponents
  
  /**
   * @param evt
   */    
  /** Exit the Application
   * @param evt the received event
   */
  private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
    this.hide();
  }//GEN-LAST:event_exitForm

  /** This method is called when a <CODE>LanguageChangeEvent</CODE> is received
   * @param evt the  received event
   */  
  public void LanguageChanged(adelfeToolkit.language.LanguageChangeEvent evt) {
    this.repaint();
  }  
  
  // Variables declaration - do not modify//GEN-BEGIN:variables
  // End of variables declaration//GEN-END:variables
  /** the <CODE>LanguageChangeSupport</CODE> that manages the language changes */  
  private LanguageChangeSupport languageChangeSupport;
  /** The <CODE>AdelfeToolkitUI</CODE> that owns the <CODE>AdelfeAboutFrame</CODE> */  
  private adelfeToolkit.gui.AdelfeToolkitUI owner;
}
