/*
 * AdelfeMutableTreeNode.java
 *
 * Created on 6 dcembre 2002, 16:32
 */

package adelfeToolkit.gui;

import javax.swing.tree.DefaultMutableTreeNode;

/** this class extends DefaultMutableTreeNode to represent Adelfe-specific objects
 * such as ActionToDo, Steps, WorkProducts,...
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class AdelfeMutableTreeNode extends DefaultMutableTreeNode {
  
  /** Creates a new instance of AdelfeMutableTreeNode with a specific name.
   * @param s the name of the node
   */
  public AdelfeMutableTreeNode(java.lang.String s) {
    super(s);
  }
  
  /** Creates a new instance of AdelfeMutableTreeNode referring a given object.
   * @param o the object to refer to.
   */  
  public AdelfeMutableTreeNode(java.lang.Object o) {
    super(o);
  }    
  
  /** Getter for property referenceTo.
   * @return Value of property referenceTo.
   *
   */
  public java.lang.Object getReferenceTo() {
    return referenceTo;
  }
  
  /** Setter for property referenceTo.
   * @param referenceTo New value of property referenceTo.
   *
   */
  public void setReferenceTo(java.lang.Object referenceTo) {
    this.referenceTo = referenceTo;
  }
  
  /** This method is call when a right click occurs
   * @param container the container of the node
   * @param evt the received event
   */  
  public void rightClick(java.awt.Container container, java.awt.event.MouseEvent evt) {
  }
  
  /** the Object the node references */  
  private Object referenceTo;
  
}
