/*
 * WorkProductNode.java
 *
 * Created on 5 juin 2003, 11:00
 */

package adelfeToolkit.gui;
import adelfeToolkit.language.*;
import adelfeToolkit.activities.WorkProduct;


/** The <CODE>AdelfeMutableTreeNode</CODE> to represent <CODE>WorkProduct</CODE>
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class WorkProductNode extends AdelfeMutableTreeNode {
  
  /** Creates a new instance of WorkProductNode
   * @param wkp the represented <CODE>WorkProduct</CODE>
   * @param lcs The <CODE>LanguageChangeSupport</CODE> that manages the language changes
   */
  public WorkProductNode(WorkProduct wkp, LanguageChangeSupport lcs) {
    super(wkp);
    workProduct = wkp;
    languageChangeSupport = lcs;
  }
  
  /** a String representation of the node
   * @return the String representation of the node
   */  
  public String toString() {
    if (this.isRoot()){
      return workProduct.toString();}
    else {
      return (workProduct.toString(this.languageChangeSupport));} 
  }
  
  /** The action to do on a right click on the node
   * @param container the container that contains the node
   */  
  public void rightClick(java.awt.Container container) {
  }
  
  private WorkProduct workProduct;
  
  private LanguageChangeSupport languageChangeSupport;
  
}
