/*
 * ActionExitedHandler.java
 *
 * Created on 18 juin 2003, 13:40
 */

package adelfeToolkit.modules;

/** This interface is implemented by classes able to manages
 * <CODE>ActionExitedReceived</CODE> events and listeners
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface ActionExitedHandler {
  
  /** adds a listener to the list
   * @param listener the listener to add
   */  
  public void addActionExitedListener(ActionExitedListener listener);
  
  /** sends an event to all the listeners
   * @param evt the event to send
   */  
  public void fireActionExitedReceived(ActionExitedEvent evt);
  
  /** removes a listener from the list
   * @param listener the listener to remove
   */  
  public void removeActionExitedListener(ActionExitedListener listener);
  
}
