package adelfeToolkit.modules;

/*
 * DescriptionModule.java
 *
 * Created on 2 dcembre 2002, 10:16
 */

import adelfeToolkit.AdelfeToolkit;
import adelfeToolkit.activities.Description;
import adelfeToolkit.gui.DescriptionModuleUI;


/** This is the module that manages the descriptions of activities.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class DescriptionModule implements java.io.Serializable, adelfeToolkit.utilities.LogWriter {
    
  /** The <CODE>AdelfeToolkit</CODE> that owns the <CODE>DescriptionModule</CODE>. */  
    private AdelfeToolkit owner;
    
    /** The GUI that represents the <CODE>DescriptionModule</CODE>. */    
    private DescriptionModuleUI uI;
    
    /** The <CODE>Description</CODE> that has to be displayed and managed. */    
    private Description currentDescription;
    
    /** Creates a new instance of DescriptionModule */
    public DescriptionModule() {
    }
    
    /** Creates a DescriptionModule that is owned by <code>own</code>.
     * @param own the AdelfeToolkit that owns the DescriptionModule.
     */    
    public DescriptionModule(AdelfeToolkit own) {
        owner = own;
    }
    
    /** Getter for property owner.
     * @return Value of property owner.
     *
     */
    public adelfeToolkit.AdelfeToolkit getOwner() {
      return owner;
    }    
   
    /** Setter for property owner.
     * @param owner New value of property owner.
     *
     */
    public void setOwner(adelfeToolkit.AdelfeToolkit owner) {
      this.owner = owner;
    }    
    
    /** Getter for property uI.
     * @return Value of property uI.
     *
     */
    public DescriptionModuleUI getUI() {
      return uI;
    }
    
    /** Setter for property uI.
     * @param uI New value of property uI.
     *
     */
    public void setUI(DescriptionModuleUI uI) {
      this.uI = uI;
    }
    
    /** Getter for property currentDescription.
     * @return Value of property currentDescription.
     *
     */
    public Description getCurrentDescription() {
      return currentDescription;
    }
    
    /** Setter for property currentDescription.
     * @param currentDescription New value of property currentDescription.
     *
     */
    public void setCurrentDescription(Description currentDescription) {
      this.currentDescription = currentDescription;
    }
    
    /** prints an error in the Adelfe log file
     * @param s the error to print
     * @see adelfeToolkit.utilities.LogWriter
     */    
    public void printErrLog(String s) {
      this.owner.printlnLogFileErr("DescriptionModule::"+s);
    }
    
    /** prints a message in the Adelfe log file
     * @param s the message to print
     * @see adelfeToolkit.utilities.LogWriter
     */    
    public void printOutLog(String s) {
      this.owner.printlnLogFileOut("DescriptionModule::"+s);
    }
    
}
