package adelfeToolkit.modules;

/*
 * ExampleModule.java
 *
 * Created on 2 dcembre 2002, 10:15
 */

import adelfeToolkit.AdelfeToolkit;
import adelfeToolkit.activities.Example;
import adelfeToolkit.gui.ExampleModuleUI;

/** This module manages examples for Adelfe activities.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ExampleModule implements java.io.Serializable, adelfeToolkit.utilities.LogWriter {
    
  /** The <CODE>AdelfeToolkit</CODE> that owns the <CODE>ExampleModule</CODE>. */  
    private AdelfeToolkit owner;
    
    /** The GUI that represents the <CODE>ExampleModule</CODE>. */    
    private ExampleModuleUI uI;
    
    /** The <CODE>Example</CODE> that has to be displayed and managed. */    
    private Example currentExample;
    
    /** Creates a new instance of ExampleModule */
    public ExampleModule() {
    }
    
    /** Creates a new instance of ExampleModule that is owned by <code>own</code>.
     * @param own The AdelfeToolkit that owns the ExampleModule.
     */    
    public ExampleModule(AdelfeToolkit own) {
        owner = own;
    }
    
    /** Getter for property owner.
     * @return Value of property owner.
     *
     */
    public adelfeToolkit.AdelfeToolkit getOwner() {
      return owner;
    }    
   
    /** Setter for property owner.
     * @param owner New value of property owner.
     *
     */
    public void setOwner(adelfeToolkit.AdelfeToolkit owner) {
      this.owner = owner;
    }
    
    /** Getter for property uI.
     * @return Value of property uI.
     *
     */
    public ExampleModuleUI getUI() {
      return uI;
    }
    
    /** Setter for property uI.
     * @param uI New value of property uI.
     *
     */
    public void setUI(ExampleModuleUI uI) {
      this.uI = uI;
    }
    
    /** Getter for property currentExample.
     * @return Value of property currentExample.
     *
     */
    public Example getCurrentExample() {
      return currentExample;
    }
    
    /** Setter for property currentExample.
     * @param currentExample New value of property currentExample.
     *
     */
    public void setCurrentExample(Example currentExample) {
      this.currentExample = currentExample;
    }
    
    /** prints an error in the Adelfe log file
     * @param s the error to print
     */    
    public void printErrLog(String s) {
      this.owner.printlnLogFileErr("ExampleModule::"+s);
    }
    
    /** prints a message in the Adelfe log file
     * @param s the message to print
     */    
    public void printOutLog(String s) {
      this.owner.printlnLogFileOut("ExampleModule::"+s);
    }
    
}
