package adelfeToolkit.modules;

/*
 * HelpModule.java
 *
 * Created on 2 dcembre 2002, 10:20
 */

import java.net.URL;

import adelfeToolkit.AdelfeToolkit;
import adelfeToolkit.gui.HelpModuleUI;

/** This module manages help topics for Adelfe activities and terms.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class HelpModule implements java.io.Serializable, adelfeToolkit.utilities.LogWriter {
    
  /** The <CODE>AdelfeToolkit</CODE> that owns the <CODE>HelpModule</CODE>. */  
    private AdelfeToolkit owner;
    
    /** The GUI that represents the <CODE>HelpModule</CODE>. */    
    private HelpModuleUI uI;
    
    /** the name of the help file */    
    private String fileName = "Help.html";
    
    /** the path to the help file */    
    private String filePath = "/adelfeToolkit/resources/english/";
    
    /** the name of the help */    
    private String name = "Help";
    
    /** the URL to the help file */    
    private URL url = getClass().getResource(filePath+fileName);;
    
    /** Creates a new instance of HelpModule */
    public HelpModule() {
    }
    
    /** Creates a new instance of HelpModule that is owned by <code>own</CODE>.
     * @param own The AdelfeToolkit that owns the HelpModule.
     */    
    public HelpModule(AdelfeToolkit own) {
        owner = own;
    }
    
    /** Getter for property owner.
     * @return Value of property owner.
     *
     */
    public adelfeToolkit.AdelfeToolkit getOwner() {
      return owner;
    }
    
    /** Setter for property owner.
     * @param owner New value of property owner.
     *
     */
    public void setOwner(adelfeToolkit.AdelfeToolkit owner) {
      this.owner = owner;
    }
    
    /** Getter for property uI.
     * @return Value of property uI.
     *
     */
    public HelpModuleUI getUI() {
      return uI;
    }
    
    /** Setter for property uI.
     * @param uI New value of property uI.
     *
     */
    public void setUI(HelpModuleUI uI) {
      this.uI = uI;
    }
    
    /** Getter for property fileName.
     * @return Value of property fileName.
     *
     */
    public java.lang.String getFileName() {
      return fileName;
    }
    
    /** Setter for property fileName.
     * @param fileName New value of property fileName.
     *
     */
    public void setFileName(java.lang.String fileName) {
      this.fileName = fileName;
    }
    
    /** Getter for property filePath.
     * @return Value of property filePath.
     *
     */
    public java.lang.String getFilePath() {
      return filePath;
    }
    
    /** Setter for property filePath.
     * @param filePath New value of property filePath.
     *
     */
    public void setFilePath(java.lang.String filePath) {
      this.filePath = filePath;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
      return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
      this.name = name;
    }
    
    /** Getter for property url.
     * @return Value of property url.
     *
     */
    public URL getUrl() {
      return url;
    }
    
    /** Setter for property url.
     * @param url New value of property url.
     *
     */
    public void setUrl(URL url) {
      this.url = url;
    }
    
    /** prints an error in the Adelfe log file
     * @param s the error to print
     */    
    public void printErrLog(String s) {
      this.owner.printlnLogFileErr("HelpModule::"+s);
    }
    
    /** prints a message in the Adelfe log file
     * @param s the message to print
     */    
    public void printOutLog(String s) {
      this.owner.printlnLogFileOut("Helpodule::"+s);
    }
    
}
