/*
 * Validator.java
 *
 * Created on 2 juillet 2003, 09:48
 */

package adelfeToolkit.modules;

import adelfeToolkit.activities.WorkProduct;
import adelfeToolkit.activities.ActionToDo;
import adelfeToolkit.AdelfeToolkit;
import adelfeToolkit.openTool.LogMessageParser;

/**
 *
 * @author  IRIT - Toulouse (projet ADELFE)
 */
public class Validator
implements adelfeToolkit.shortcuts.ShortCutClickedListener,
adelfeToolkit.modules.ActionExitedListener,
adelfeToolkit.utilities.LogWriter,
adelfeToolkit.openTool.OpenToolMessageListener {
  
  private AdelfeToolkit module;
  
  /** Creates a new instance of Validator */
  public Validator(AdelfeToolkit o) {
    module = o;
  }
  
  public final static String ACTOR_CREATED = "\"&Cration,Ac&teur\"";
  public final static String USECASE_CREATED = "\"&Cration,Cas d'&utilisation\"";
  public final static String INTERACT_DIAGS = "interact_diags_UML\"";
  public final static String ASSOCIATION_CREATED = "\"&Cration,Association n&-aire\"";
  public final static String CLASS_CREATED = "\"&Cration,&$C\"";
  public final static String HERIT_CREATED = "\"&Cration,&Hritage\"";
  public final static String ASSLINK_CREATED = "\"&Cration,Lien a&ssociatif\"";
  public final static String ROLE_CREATED = "\"&Cration,&Rle\"";
  public final static String DEPLINK_CREATED = "\"Cration,Lien de &dpendance\"";
  public final static String COND_RES_CREATED = "L'attribut rserv conditionResult";
  public final static String SEQ_DIAG_CREATED = "\",Crer &diagramme,Diagramme de &squence d'instances\"";
  public final static String COL_DIAG_CREATED = "\",Crer &diagramme,Diagramme de colla&boration\"";
  public final static String PRO_DIAG_CREATED = "\",Crer &diagramme,Diagramme de protocole pour Adelfe\"";
  public final static String SUB_PACK_CREATED = "\",Crer &entit,Sous-&paquetage\"";
  public final static String ATT_CREATED = "\"&Cration,&Attribut\"";
  public final static String OPE_CREATED = "\"&Cration,&Opration\"";
  public final static String STATE_CREATED = "stateDiagram_UML";
  
  public final static String CREATE_CLASS2 = "\",Crer &entit,&$C\"";
  public final static String SUB_PACK_CREATED2 = "\",Crer &entit,Sous-&paquetage\"";
  public final static String ACTOR_CREATED2 = "\",Crer &entit,Ac&teur\"";
  public final static String USECASE_CREATED2 = "\",Crer &entit,Cas d'&utilisation\"";
  public final static String CLASS_DIAG_CREATED = "\",Crer &diagramme,Diagramme de &classes\"";
  public final static String PRO_DIAG_CREATED2 = "\",Crer &diagramme,Diagramme de protocole pour Adelfe\"";
  public final static String COL_DIAG_CREATED2 = "\",Crer &diagramme,Diagramme de colla&boration\"";
  public final static String SEQ_DIAG_CREATED2 = "\",Crer &diagramme,Diagramme de &squence d'instances\"";
  public final static String SEQ_DIAG_CREATED3 = "\",Crer &diagramme,Diagramme de &squence gnrique\"";
  public final static String STATE_DIAG_CREATED = "\",Crer &diagramme,Diagramme d'&tats\"";
  
  public final static String ACTOR_CREATED_ENG = "\"&Create,Ac&tor\"";
  public final static String USECASE_CREATED_ENG = "\"&Create,&Use Case\"";
  public final static String INTERACT_DIAGS_ENG = "interact_diags_UML\"";
  public final static String ASSOCIATION_CREATED_ENG = "\"&Create,N&-ary Association\"";
  public final static String CLASS_CREATED_ENG = "\"&Create,&$C\"";
  public final static String HERIT_CREATED_ENG = "\"&Create,In&heritance\"";
  public final static String ASSLINK_CREATED_ENG = "\"&Create,&Binary Association\"";
  public final static String ROLE_CREATED_ENG = "\"&Create,&Role\"";
  public final static String DEPLINK_CREATED_ENG = "\"&Create,&Dependency Link\"";
  public final static String COND_RES_CREATED_ENG = "The reserved attribute conditionResult";
  public final static String SEQ_DIAG_CREATED_ENG = "\",Create &Diagram,&$C\"";
  public final static String COL_DIAG_CREATED_ENG = "\",Create &Diagram,Colla&boration Diagram\"";
  public final static String PRO_DIAG_CREATED_ENG = "\",Create &Diagram,&Protocol Diagram for Adelfe\"";
  public final static String SUB_PACK_CREATED_ENG = "\",Create &Entity,Sub&package\"";
  public final static String ATT_CREATED_ENG = "\"&Create,&Attribute\"";
  public final static String OPE_CREATED_ENG = "\"&Create,&Operation\"";
  public final static String STATE_CREATED_ENG = "stateDiagram_UML";
  
  public final static String CREATE_CLASS2_ENG = "\",Create &Entity,&$C\"";
  public final static String SUB_PACK_CREATED2_ENG = "\",Create &Entity,Sub&package\"";
  public final static String ACTOR_CREATED2_ENG = "\",Create &Entity,Ac&tor\"";
  public final static String USECASE_CREATED2_ENG = "\",Crer &entit,Cas d'&utilisation\"";
  public final static String CLASS_DIAG_CREATED_ENG = "\",Create &Diagram,&$C\"";
  public final static String PRO_DIAG_CREATED2_ENG = "\",Create &Diagram,&Protocol Diagram for Adelfe\"";
  public final static String COL_DIAG_CREATED2_ENG = "\",Create &Diagram,Colla&boration Diagram\"";
  public final static String SEQ_DIAG_CREATED2_ENG = "\",Create &Diagram,&$C\"";
  public final static String SEQ_DIAG_CREATED3_ENG = "\",Create &Diagram,Generic &Sequence Diagram\"";
  public final static String STATE_DIAG_CREATED_ENG = "\",Create &Diagram,S&tate Diagram\"";  
  
  public boolean actorCreated = false;
  public boolean useCaseCreated = false;
  public boolean interactDiags = false;
  public boolean associationCreated = false;
  public boolean classCreated = false;
  public boolean heritCreated = false;
  public boolean assLinkCreated = false;
  public boolean roleCreated = false;
  public boolean depLinkCreated = false;
  public boolean condResCreated = false;
  public boolean seqDiagCreated = false;
  public boolean colDiagCreated = false;
  public boolean proDiagCreated = false;
  public boolean subPackCreated = false;
  public boolean attCreated = false;
  public boolean opeCreated = false;
  public boolean stateCreated = false;
  
  public boolean caoacd = false;
  public boolean caocd = false;
  public boolean caocdwc = false;
  public boolean caof = false;
  public boolean caopcd = false;
  public boolean caoucd = false;
  public boolean oacd = false;
  public boolean ocd = false;
  public boolean of = false;
  public boolean opd = false;
  public boolean opcd = false;
  public boolean osd = false;
  public boolean oucd = false;
  
  public boolean act01Clicked = false;
  public boolean act02Clicked = false;
  public boolean act03Clicked = false;
  public boolean act04Clicked = false;
  public boolean act05Clicked = false;
  public boolean act06Clicked = false;
  public boolean act07Clicked = false;
  public boolean act08Clicked = false;
  public boolean act09Clicked = false;
  public boolean act10Clicked = false;
  public boolean act11Clicked = false;
  public boolean act12Clicked = false;
  public boolean act13Clicked = false;
  public boolean act14Clicked = false;
  public boolean act15Clicked = false;
  public boolean act16Clicked = false;
  public boolean act17Clicked = false;
  public boolean act18Clicked = false;
  
  public boolean act01Exited = false;
  public boolean act02Exited = false;
  public boolean act03Exited = false;
  public boolean act04Exited = false;
  public boolean act05Exited = false;
  public boolean act06Exited = false;
  public boolean act07Exited = false;
  public boolean act08Exited = false;
  public boolean act09Exited = false;
  public boolean act10Exited = false;
  public boolean act11Exited = false;
  public boolean act12Exited = false;
  public boolean act13Exited = false;
  public boolean act14Exited = false;
  public boolean act15Exited = false;
  public boolean act16Exited = false;
  public boolean act17Exited = false;
  public boolean act18Exited = false;
  
  public boolean stp01Act06Clicked = false;
  public boolean stp02Act06Clicked = false;
  public boolean stp03Act06Clicked = false;
  public boolean stp01Act07Clicked = false;
  public boolean stp02Act07Clicked = false;
  public boolean stp03Act07Clicked = false;
  public boolean stp01Act10Clicked = false;
  public boolean stp02Act10Clicked = false;
  public boolean stp03Act10Clicked = false;
  public boolean stp01Act11Clicked = false;
  public boolean stp02Act11Clicked = false;
  public boolean stp01Act12Clicked = false;
  public boolean stp02Act12Clicked = false;
  public boolean stp03Act12Clicked = false;
  public boolean stp01Act13Clicked = false;
  public boolean stp02Act13Clicked = false;
  public boolean stp03Act13Clicked = false;
  public boolean stp01Act14Clicked = false;
  public boolean stp02Act14Clicked = false;
  public boolean stp03Act14Clicked = false;
  public boolean stp04Act14Clicked = false;
  public boolean stp03Act16Clicked = false;
  public boolean stp01Act16Clicked = false;
  public boolean stp02Act16Clicked = false;
  public boolean stp04Act16Clicked = false;
  public boolean stp05Act16Clicked = false;
  public boolean stp01Act18Clicked = false;
  public boolean stp02Act18Clicked = false;
  
  public boolean stp01Act06Exited = false;
  public boolean stp02Act06Exited = false;
  public boolean stp03Act06Exited = false;
  public boolean stp01Act07Exited = false;
  public boolean stp02Act07Exited = false;
  public boolean stp03Act07Exited = false;
  public boolean stp01Act10Exited = false;
  public boolean stp02Act10Exited = false;
  public boolean stp03Act10Exited = false;
  public boolean stp01Act11Exited = false;
  public boolean stp02Act11Exited = false;
  public boolean stp01Act12Exited = false;
  public boolean stp02Act12Exited = false;
  public boolean stp03Act12Exited = false;
  public boolean stp01Act13Exited = false;
  public boolean stp02Act13Exited = false;
  public boolean stp03Act13Exited = false;
  public boolean stp01Act14Exited = false;
  public boolean stp02Act14Exited = false;
  public boolean stp03Act14Exited = false;
  public boolean stp04Act14Exited = false;
  public boolean stp03Act16Exited = false;
  public boolean stp01Act16Exited = false;
  public boolean stp02Act16Exited = false;
  public boolean stp04Act16Exited = false;
  public boolean stp05Act16Exited = false;
  public boolean stp01Act18Exited = false;
  public boolean stp02Act18Exited = false;
  
  
  public void shortCutClicked(adelfeToolkit.shortcuts.ShortCutClickedEvent evt) {
    String s = evt.getOrigine();
    
    if (s.equals("Act01")) {act01Clicked = true;}
    if (s.equals("Act02")) {act02Clicked = true;}
    if (s.equals("Act03")) {act03Clicked = true;}
    if (s.equals("Act04")) {act04Clicked = true;}
    if (s.equals("Act05")) {act05Clicked = true;}
    if (s.equals("Act06")) {act06Clicked = true;}
    if (s.equals("Act07")) {act07Clicked = true;}
    if (s.equals("Act08")) {act08Clicked = true;}
    if (s.equals("Act09")) {act09Clicked = true;}
    if (s.equals("Act10")) {act10Clicked = true;}
    if (s.equals("Act11")) {act11Clicked = true;}
    if (s.equals("Act12")) {act12Clicked = true;}
    if (s.equals("Act13")) {act13Clicked = true;}
    if (s.equals("Act14")) {act14Clicked = true;}
    if (s.equals("Act15")) {act15Clicked = true;}
    if (s.equals("Act16")) {act16Clicked = true;}
    if (s.equals("Act17")) {act17Clicked = true;}
    if (s.equals("Act18")) {act18Clicked = true;}
    
    if (s.equals("Stp01Act06")) {stp01Act06Clicked = true;}
    if (s.equals("Stp02Act06")) {stp02Act06Clicked = true;}
    if (s.equals("Stp03Act06")) {stp03Act06Clicked = true;}
    if (s.equals("Stp01Act07")) {stp01Act07Clicked = true;}
    if (s.equals("Stp02Act07")) {stp02Act07Clicked = true;}
    if (s.equals("Stp03Act07")) {stp03Act07Clicked = true;}
    if (s.equals("Stp01Act10")) {stp01Act10Clicked = true;}
    if (s.equals("Stp02Act10")) {stp02Act10Clicked = true;}
    if (s.equals("Stp03Act10")) {stp03Act10Clicked = true;}
    if (s.equals("Stp01Act11")) {stp01Act11Clicked = true;}
    if (s.equals("Stp02Act11")) {stp02Act11Clicked = true;}
    if (s.equals("Stp01Act12")) {stp01Act12Clicked = true;}
    if (s.equals("Stp02Act12")) {stp02Act12Clicked = true;}
    if (s.equals("Stp03Act12")) {stp03Act12Clicked = true;}
    if (s.equals("Stp01Act13")) {stp01Act13Clicked = true;}
    if (s.equals("Stp02Act13")) {stp02Act13Clicked = true;}
    if (s.equals("Stp03Act13")) {stp03Act13Clicked = true;}
    if (s.equals("Stp01Act14")) {stp01Act14Clicked = true;}
    if (s.equals("Stp02Act14")) {stp02Act14Clicked = true;}
    if (s.equals("Stp03Act14")) {stp03Act14Clicked = true;}
    if (s.equals("Stp04Act14")) {stp04Act14Clicked = true;}
    if (s.equals("Stp03Act16")) {stp03Act16Clicked = true;}
    if (s.equals("Stp01Act16")) {stp01Act16Clicked = true;}
    if (s.equals("Stp02Act16")) {stp02Act16Clicked = true;}
    if (s.equals("Stp04Act16")) {stp04Act16Clicked = true;}
    if (s.equals("Stp05Act16")) {stp05Act16Clicked = true;}
    if (s.equals("Stp01Act18")) {stp01Act18Clicked = true;}
    if (s.equals("Stp02Act18")) {stp02Act18Clicked = true;}
    
    this.update();
  }
  
  public void logMessageReceived(String m) {
    String act = adelfeToolkit.openTool.LogMessageParser.extractAction(m);
    
    System.out.println(">>>>>>>>>>>>"+m);
    
    if (act.equals(Validator.ACTOR_CREATED) || act.equals(Validator.ACTOR_CREATED_ENG)) {this.actorCreated = true;}
    if (act.equals(Validator.ASSLINK_CREATED) || act.equals(Validator.ASSLINK_CREATED_ENG)) {this.assLinkCreated = true;}
    if (act.equals(Validator.ASSOCIATION_CREATED) || act.equals(Validator.ASSOCIATION_CREATED_ENG)) {this.associationCreated = true;}
    if (act.equals(Validator.ATT_CREATED) || act.equals(Validator.ATT_CREATED_ENG)) {this.attCreated = true;}
    if (act.equals(Validator.CLASS_CREATED) || act.equals(Validator.CLASS_CREATED_ENG)) {this.classCreated = true;}
    if (act.equals(Validator.DEPLINK_CREATED) || act.equals(Validator.DEPLINK_CREATED_ENG)) {this.depLinkCreated = true;}
    if (act.equals(Validator.HERIT_CREATED) || act.equals(Validator.HERIT_CREATED_ENG)) {this.heritCreated = true;}
    if (act.equals(Validator.COND_RES_CREATED) || act.equals(Validator.COND_RES_CREATED_ENG)) {this.condResCreated = true;}
    if (act.equals(Validator.COL_DIAG_CREATED) || act.equals(Validator.COL_DIAG_CREATED_ENG)) {this.colDiagCreated = true;}
    if (act.equals(Validator.INTERACT_DIAGS) || act.equals(Validator.INTERACT_DIAGS_ENG)) {this.interactDiags = true;}
    if (act.equals(Validator.OPE_CREATED) || act.equals(Validator.OPE_CREATED_ENG)) {this.opeCreated = true;}
    if (act.equals(Validator.PRO_DIAG_CREATED) || act.equals(Validator.PRO_DIAG_CREATED_ENG)) {this.proDiagCreated = true;}
    if (act.equals(Validator.ROLE_CREATED) || act.equals(Validator.ROLE_CREATED_ENG)) {this.roleCreated = true;}
    if (act.equals(Validator.SEQ_DIAG_CREATED) || act.equals(Validator.SEQ_DIAG_CREATED_ENG)) {this.seqDiagCreated = true;}
    if (act.equals(Validator.SUB_PACK_CREATED) || act.equals(Validator.SUB_PACK_CREATED_ENG)) {this.subPackCreated = true;}
    if (act.equals(Validator.USECASE_CREATED) || act.equals(Validator.USECASE_CREATED_ENG)) {this.useCaseCreated = true;}
    if (act.equals(Validator.STATE_CREATED) || act.equals(Validator.STATE_CREATED_ENG)) {this.stateCreated = true;}
    if (act.equals(Validator.CREATE_CLASS2) || act.equals(Validator.CREATE_CLASS2_ENG)) {this.classCreated = true;}
    if (act.equals(Validator.SUB_PACK_CREATED2) || act.equals(Validator.SUB_PACK_CREATED2_ENG)) {this.subPackCreated = true;}
    if (act.equals(Validator.ACTOR_CREATED2) || act.equals(Validator.ACTOR_CREATED2_ENG)) {this.actorCreated = true;}
    if (act.equals(Validator.USECASE_CREATED2) || act.equals(Validator.USECASE_CREATED2_ENG)) {this.useCaseCreated = true;}
    if (act.equals(Validator.CLASS_DIAG_CREATED) || act.equals(Validator.CLASS_DIAG_CREATED_ENG)) {this.classCreated = true;}
    if (act.equals(Validator.PRO_DIAG_CREATED2) || act.equals(Validator.PRO_DIAG_CREATED2_ENG)) {this.proDiagCreated = true;}
    if (act.equals(Validator.COL_DIAG_CREATED2) || act.equals(Validator.COL_DIAG_CREATED2_ENG)) {this.colDiagCreated = true;}
    if (act.equals(Validator.SEQ_DIAG_CREATED2) || act.equals(Validator.SEQ_DIAG_CREATED2_ENG)) {this.seqDiagCreated = true;}
    if (act.equals(Validator.SEQ_DIAG_CREATED3) || act.equals(Validator.SEQ_DIAG_CREATED3_ENG)) {this.seqDiagCreated = true;}
    if (act.equals(Validator.STATE_DIAG_CREATED) || act.equals(Validator.STATE_DIAG_CREATED_ENG)) {this.stateCreated = true;}
    
    this.update();
  }
  
  public void socketMessageReceived(String m) {
    String ent = adelfeToolkit.openTool.SocketMessageParser.extractEntityClass(m);
    
    if (ent.equals("CAOACD")) {this.caoacd = true;}
    if (ent.equals("CAOCD")) {this.caocd = true;}
    if (ent.equals("CAOCDWC")) {this.caocdwc = true;}
    if (ent.equals("CAOF")) {this.caof = true;}
    if (ent.equals("CAOPCD")) {this.caopcd = true;}
    if (ent.equals("CAOUCD")) {this.caoucd = true;}
    if (ent.equals("OACD")) {this.oacd = true;}
    if (ent.equals("OCD")) {this.ocd = true;}
    if (ent.equals("OF")) {this.of = true;}
    if (ent.equals("OPCD")) {this.opcd = true;}
    if (ent.equals("OPD")) {this.opd = true;}
    if (ent.equals("OSD")) {this.osd = true;}
    if (ent.equals("OUCD")) {this.oucd = true;}
    
    this.update();
  }
  
  public void actionExited(adelfeToolkit.modules.ActionExitedEvent evt) {
    String s = ((ActionToDo)evt.getSource()).getActionName();
    
    if (s.equals("Act01")) {act01Exited = true;}
    if (s.equals("Act02")) {act02Exited = true;}
    if (s.equals("Act03")) {act03Exited = true;}
    if (s.equals("Act04")) {act04Exited = true;}
    if (s.equals("Act05")) {act05Exited = true;}
    if (s.equals("Act06")) {act06Exited = true;}
    if (s.equals("Act07")) {act07Exited = true;}
    if (s.equals("Act08")) {act08Exited = true;}
    if (s.equals("Act09")) {act09Exited = true;}
    if (s.equals("Act10")) {act10Exited = true;}
    if (s.equals("Act11")) {act11Exited = true;}
    if (s.equals("Act12")) {act12Exited = true;}
    if (s.equals("Act13")) {act13Exited = true;}
    if (s.equals("Act14")) {act14Exited = true;}
    if (s.equals("Act15")) {act15Exited = true;}
    if (s.equals("Act16")) {act16Exited = true;}
    if (s.equals("Act17")) {act17Exited = true;}
    if (s.equals("Act18")) {act18Exited = true;}
    
    if (s.equals("Stp01Act06")) {stp01Act06Exited = true;}
    if (s.equals("Stp02Act06")) {stp02Act06Exited = true;}
    if (s.equals("Stp03Act06")) {stp03Act06Exited = true;}
    if (s.equals("Stp01Act07")) {stp01Act07Exited = true;}
    if (s.equals("Stp02Act07")) {stp02Act07Exited = true;}
    if (s.equals("Stp03Act07")) {stp03Act07Exited = true;}
    if (s.equals("Stp01Act10")) {stp01Act10Exited = true;}
    if (s.equals("Stp02Act10")) {stp02Act10Exited = true;}
    if (s.equals("Stp03Act10")) {stp03Act10Exited = true;}
    if (s.equals("Stp01Act11")) {stp01Act11Exited = true;}
    if (s.equals("Stp02Act11")) {stp02Act11Exited = true;}
    if (s.equals("Stp01Act12")) {stp01Act12Exited = true;}
    if (s.equals("Stp02Act12")) {stp02Act12Exited = true;}
    if (s.equals("Stp03Act12")) {stp03Act12Exited = true;}
    if (s.equals("Stp01Act13")) {stp01Act13Exited = true;}
    if (s.equals("Stp02Act13")) {stp02Act13Exited = true;}
    if (s.equals("Stp03Act13")) {stp03Act13Exited = true;}
    if (s.equals("Stp01Act14")) {stp01Act14Exited = true;}
    if (s.equals("Stp02Act14")) {stp02Act14Exited = true;}
    if (s.equals("Stp03Act14")) {stp03Act14Exited = true;}
    if (s.equals("Stp04Act14")) {stp04Act14Exited = true;}
    if (s.equals("Stp03Act16")) {stp03Act16Exited = true;}
    if (s.equals("Stp01Act16")) {stp01Act16Exited = true;}
    if (s.equals("Stp02Act16")) {stp02Act16Exited = true;}
    if (s.equals("Stp04Act16")) {stp04Act16Exited = true;}
    if (s.equals("Stp05Act16")) {stp05Act16Exited = true;}
    if (s.equals("Stp01Act18")) {stp01Act18Exited = true;}
    if (s.equals("Stp02Act18")) {stp02Act18Exited = true;}
    
    this.update();
  }
  
  private void updateWPStates() {
    //Requirement Set
    if (condState01()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.RS,WorkProduct.PRELIMINARY);}
    if (condState02()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.RS,WorkProduct.VALIDATED);}
    if (condState03()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.RS,WorkProduct.CONSENSUAL);}
    if (condState04()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.RS,WorkProduct.FINAL);};
    //keyword set
    if (condState05()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.KS,WorkProduct.FINAL);}
    //preliminary requirements
    if (condState06()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.PR,WorkProduct.FINAL);}
    //functional description
    if (condState07()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.FD,WorkProduct.WITH_ACTORS);}
    if (condState08()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.FD,WorkProduct.WITH_USE_CASES);}//this.oucd=false;}
    if (condState09()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.FD,WorkProduct.WITH_COOP_FAIL);}
    if (condState10()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.FD,WorkProduct.FINAL);}
    //scenarios
    if (condState11()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SC,WorkProduct.DRAFT);}
    if (condState12()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SC,WorkProduct.FINAL);}
    //environment definition
    if (condState13()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.ED,WorkProduct.WITH_COOP_FAIL);}
    if (condState14()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.ED,WorkProduct.COMPLETED);}
    if (condState15()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.ED,WorkProduct.FINAL);}
    //interface models
    if (condState16()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IM,WorkProduct.DRAFT);}
    if (condState17()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IM,WorkProduct.VALIDATED);}
    if (condState18()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IM,WorkProduct.FINAL);}
    //UI prototypes
    if (condState19()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.UP,WorkProduct.DRAFT);}
    if (condState20()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.UP,WorkProduct.VALIDATED);}
    if (condState21()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.UP,WorkProduct.FINAL);}
    //final requirements
    if (condState22()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.FR,WorkProduct.FINAL);}
    //internal interactions between domain entities
    if (condState23()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.II,WorkProduct.FINAL);}
    //domain model
    if (condState24()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DM,WorkProduct.WITH_CLASSES);}
    if (condState25()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DM,WorkProduct.INCLUDING_AGENTS);}//this.ocd = false;}
    if (condState26()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DM,WorkProduct.FINAL);}
    //software architecture
    if (condState27()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SA,WorkProduct.PRELIMINARY);}
    if (condState28()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SA,WorkProduct.INCLUDING_AGENTS);}
    if (condState29()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SA,WorkProduct.COMPLETED);}
    if (condState30()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.SA,WorkProduct.FINAL);}
    //amas adequacy synthesis
    if (condState31()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.AA,WorkProduct.FINAL);}
    //analysis
    if (condState32()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.AN,WorkProduct.FINAL);}
    //protocol diagrams
    if (condState33()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.PD,WorkProduct.INITIAL);this.proDiagCreated=false;this.opd=false;}
    if (condState34()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.PD,WorkProduct.FINAL);}
    //interaction languages
    if (condState35()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IL,WorkProduct.INITIAL);}
    if (condState36()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IL,WorkProduct.DRAFT);}//this.opd = false;}
    if (condState37()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.IL,WorkProduct.FINAL);}
    //design models
    if (condState38()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.WITH_PACKAGES);}
    if (condState39()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.WITH_CLASSES);}//this.opcd = false;}
    if (condState40()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.WITH_USE_PATTERNS);}
    if (condState41()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.WITH_AGENTS);}//this.oacd = false;}
    if (condState42()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.PROTOTYPED);}
    if (condState43()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.ENHANCED);}
    if (condState44()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DS,WorkProduct.WITH_STATE_CHARTS);}
    //detailled architecture
    if (condState45()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DA,WorkProduct.INITIAL);}
    if (condState46()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DA,WorkProduct.DRAFT);}
    if (condState47()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DA,WorkProduct.INCLUDING_AGENT_MODEL);}
    if (condState48()) {module.setWPState(adelfeToolkit.activities.DefaultProjectCreator.DA,WorkProduct.FINAL);}
  }
  
  private void updateWPAccess() {
    //Requirement Set
    if (condAcces01()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.RS,true);}
    //keyword set
    if (condAcces02()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.KS,true);}
    //preliminary requirements
    if (condAcces03()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.PR,true);}
    //functional description
    if (condAcces04()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.FD,true);}
    //scenarios
    if (condAcces05()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.SC,true);}
    //environment definition
    if (condAcces06()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.ED,true);}
    //interface models
    if (condAcces07()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.IM,true);}
    //UI prototypes
    if (condAcces08()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.UP,true);}
    //final requirements
    if (condAcces09()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.FR,true);}
    //internal interactions between domain entities
    if (condAcces10()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.II,true);}
    //domain model
    if (condAcces11()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.DS,true);}
    //software architecture
    if (condAcces12()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.SA,true);}
    //amas adequacy synthesis
    if (condAcces13()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.AA,true);}
    //analysis
    if (condAcces14()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.AN,true);}
    //protocol diagrams
    if (condAcces15()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.PD,true);}
    //interaction languages
    if (condAcces16()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.IL,true);}
    //design models
    if (condAcces17()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.DM,true);}
    //detailled architecture
    if (condAcces18()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.DA,true);}
    //design
    if (condAcces19()) {module.setWPAcces(adelfeToolkit.activities.DefaultProjectCreator.DE,true);}
  }
  
  private void updateWPProduc() {
    //Requirement Set
    if (condProduc01()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.RS,true);}
    //keyword set
    if (condProduc02()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.KS,true);}
    //preliminary requirements
    if (condProduc03()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.PR,true);}
    //functional description
    if (condProduc04()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.FD,true);}
    //scenarios
    if (condProduc05()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.SC,true);}
    //environment definition
    if (condProduc06()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.ED,true);}
    //interface models
    if (condProduc07()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.IM,true);}
    //UI prototypes
    if (condProduc08()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.UP,true);}
    //final requirements
    if (condProduc09()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.FR,true);}
    //internal interactions between domain entities
    if (condProduc10()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.II,true);}
    //domain model
    if (condProduc11()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.DS,true);}
    //software architecture
    if (condProduc12()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.SA,true);}
    //amas adequacy synthesis
    if (condProduc13()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.AA,true);}
    //analysis
    if (condProduc14()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.AN,true);}
    //protocol diagrams
    if (condProduc15()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.PD,true);}
    //interaction languages
    if (condProduc16()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.IL,true);}
    //design models
    if (condProduc17()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.DM,true);}
    //detailled architecture
    if (condProduc18()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.DA,true);}
    //design
    if (condProduc19()) {module.setWPProduc(adelfeToolkit.activities.DefaultProjectCreator.DE,true);}
  }
  
  public void updateActAccess() {
    if (condActAcces01()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_User_Requirements,true);}
    if (condActAcces02()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Validate_Requirements,true);}
    if (condActAcces03()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_Consensual_Requirements,true);}
    if (condActAcces04()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Establish_Keyword_Set,true);}
    if (condActAcces05()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Extract_Limits_And_Constraints,true);}
    if (condActAcces06()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Characterize_Environment,true);}
    if (condActAcces07()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Determine_Use_Cases,true);}
    if (condActAcces08()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_UI_Prototypes,true);}
    if (condActAcces09()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Validate_UI_Prototypes,true);}
    if (condActAcces10()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Analyze_Domain,true);}
    if (condActAcces11()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Verify_AMAS_Adequacy,true);}
    if (condActAcces12()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Identify_Agents,true);}
    if (condActAcces13()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Interaction_Between_Entities,true);}
    if (condActAcces14()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Detailed_Architecture_And_MA_Model,true);}
    if (condActAcces15()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Interaction_Languages,true);}
    if (condActAcces16()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Design_Agents,true);}
    if (condActAcces17()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Fast_Prototyping,true);}
    if (condActAcces18()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Complete_Design_Diagrams,true);}
    
    if (condActAcces0106()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Determine_Actors,true);}
    if (condActAcces0206()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_Context,true);}
    if (condActAcces0306()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Characterize_The_Environment,true);}
    if (condActAcces0107()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Draw_Up_An_Inventory_Of_Use_Cases,true);}
    if (condActAcces0207()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Identify_Cooperation_Failure_Possibilities,true);}
    if (condActAcces0307()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_Sequence_Diagrams,true);}
    if (condActAcces0110()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Identify_Classes,true);}
    if (condActAcces0210()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Interclass_Relationship,true);}
    if (condActAcces0310()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Construct_Preliminary_Class_Diagrams,true);}
    if (condActAcces0111()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Verify_Global_Level_AMAS_Adequacy,true);}
    if (condActAcces0211()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Verify_Local_Level_AMAS_Adequacy,true);}
    if (condActAcces0112()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Entities_In_Domain_Context,true);}
    if (condActAcces0212()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Identify_Potentially_Cooperative_Entities,true);}
    if (condActAcces0312()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Determine_Agents,true);}
    if (condActAcces0113()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Active_Passive_Entities_Relationships,true);}
    if (condActAcces0213()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Active_Entities_Relationships,true);}
    if (condActAcces0313()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Study_Agents_Relationships,true);}
    if (condActAcces0114()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Determine_Packages,true);}
    if (condActAcces0214()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Determine_Classes,true);}
    if (condActAcces0314()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Use_Design_Patterns,true);}
    if (condActAcces0414()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_Component_And_Class_Diagrams,true);}
    if (condActAcces0116()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_Skills,true);}
    if (condActAcces0216()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_Aptitudes,true);}
    if (condActAcces0316()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_Interaction_Languages,true);}
    if (condActAcces0416()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_World_Representations,true);}
    if (condActAcces0516()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Define_NCSs,true);}
    if (condActAcces0118()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Enhance_Design_Diagrams,true);}
    if (condActAcces0218()) {module.setActAcces(adelfeToolkit.activities.DefaultProjectCreator.Design_Dynamic_Behavior,true);}
    
  }
  
  public void updateActComple() {
    if (condActCompl01()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_User_Requirements,true);}
    if (condActCompl02()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Validate_Requirements,true);}
    if (condActCompl03()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_Consensual_Requirements,true);}
    if (condActCompl04()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Establish_Keyword_Set,true);}
    if (condActCompl05()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Extract_Limits_And_Constraints,true);}
    if (condActCompl06()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Characterize_Environment,true);}
    if (condActCompl07()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Determine_Use_Cases,true);}
    if (condActCompl08()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_UI_Prototypes,true);}
    if (condActCompl09()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Validate_UI_Prototypes,true);}
    if (condActCompl10()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Analyze_Domain,true);}
    if (condActCompl11()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Verify_AMAS_Adequacy,true);}
    if (condActCompl12()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Identify_Agents,true);}
    if (condActCompl13()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Interaction_Between_Entities,true);}
    if (condActCompl14()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Detailed_Architecture_And_MA_Model,true);}
    if (condActCompl15()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Interaction_Languages,true);}
    if (condActCompl16()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Design_Agents,true);}
    if (condActCompl17()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Fast_Prototyping,true);}
    if (condActCompl18()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Complete_Design_Diagrams,true);}
    
    if (condActCompl0106()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Determine_Actors,true);}
    if (condActCompl0206()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_Context,true);}
    if (condActCompl0306()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Characterize_The_Environment,true);}
    if (condActCompl0107()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Draw_Up_An_Inventory_Of_Use_Cases,true);}
    if (condActCompl0207()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Identify_Cooperation_Failure_Possibilities,true);}
    if (condActCompl0307()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_Sequence_Diagrams,true);}
    if (condActCompl0110()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Identify_Classes,true);}
    if (condActCompl0210()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Interclass_Relationship,true);}
    if (condActCompl0310()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Construct_Preliminary_Class_Diagrams,true);}
    if (condActCompl0111()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Verify_Global_Level_AMAS_Adequacy,true);}
    if (condActCompl0211()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Verify_Local_Level_AMAS_Adequacy,true);}
    if (condActCompl0112()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Entities_In_Domain_Context,true);}
    if (condActCompl0212()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Identify_Potentially_Cooperative_Entities,true);}
    if (condActCompl0312()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Determine_Agents,true);}
    if (condActCompl0113()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Active_Passive_Entities_Relationships,true);}
    if (condActCompl0213()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Active_Entities_Relationships,true);}
    if (condActCompl0313()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Study_Agents_Relationships,true);}
    if (condActCompl0114()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Determine_Packages,true);}
    if (condActCompl0214()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Determine_Classes,true);}
    if (condActCompl0314()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Use_Design_Patterns,true);}
    if (condActCompl0414()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Elaborate_Component_And_Class_Diagrams,true);}
    if (condActCompl0116()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_Skills,true);}
    if (condActCompl0216()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_Aptitudes,true);}
    if (condActCompl0316()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_Interaction_Languages,true);}
    if (condActCompl0416()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_World_Representations,true);}
    if (condActCompl0516()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Define_NCSs,true);}
    if (condActCompl0118()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Enhance_Design_Diagrams,true);}
    if (condActCompl0218()) {module.setActCompl(adelfeToolkit.activities.DefaultProjectCreator.Design_Dynamic_Behavior,true);}
    
  }
  
  private boolean condState01() {
    return (
    (this.act01Clicked) &&
    (this.act01Exited)
    );
  }
  
  private boolean condState02() {
    return this.act02Exited;
  }
  
  private boolean condState03() {
    return this.act03Exited;
  }
  
  private boolean condState04() {
    return this.act05Exited;
  }
  
  private boolean condState05() {
    return (
    this.act04Clicked &&
    this.act04Exited
    );
  }
  
  private boolean condState06() {
    return (
    this.condState05() &&
    this.act05Exited
    );
  }
  
  private boolean condState07() {
    return (
    this.stp01Act06Clicked &&
    this.stp01Act06Exited &&
    this.caoucd //&&
    //this.actorCreated
    );
  }
  
  private boolean condState08() {
    return (
    this.act06Exited &&
    this.stp01Act07Clicked &&
    this.stp01Act07Exited &&
    this.oucd //&&
    //this.useCaseCreated
    );
  }
  
  private boolean condState09() {
    return (
    this.stp02Act07Exited &&
    this.stp02Act07Clicked &&
    this.oucd
    );
  }
  
  private boolean condState10() {
    return (
    true
    );
  }
  
  private boolean condState11() {
    return (
    this.stp03Act07Clicked &&
    this.stp03Act07Exited &&
    this.osd //&&
    //this.interactDiags
    );
  }
  
  private boolean condState12() {
    return (
    this.act13Exited
    );
  }
  
  private boolean condState13() {
    return (
    this.condState09()
    );
  }
  
  private boolean condState14() {
    return (
    this.condState10() &&
    this.condState11()
    );
  }
  
  private boolean condState15() {
    return (
    this.condState12()
    );
  }
  
  private boolean condState16() {
    return (
    this.act08Clicked &&
    this.act08Exited
    );
  }
  
  private boolean condState17() {
    return (
    this.condState16() &&
    this.act09Exited
    );
  }
  
  private boolean condState18() {
    return (
    this.condState17()
    );
  }
  
  private boolean condState19() {
    return (
    this.condState16()
    );
  }
  
  private boolean condState20() {
    return (
    this.condState17()
    );
  }
  
  private boolean condState21() {
    return (
    this.condState18()
    );
  }
  
  private boolean condState22() {
    return (
    this.condState21() &&
    this.condState15()
    );
  }
  
  private boolean condState23() {
    return (
    this.stp02Act10Clicked &&
    this.stp02Act10Exited &&
    this.oucd &&
    this.osd
    );
  }
  
  private boolean condState24() {
    return (
    this.stp03Act10Clicked &&
    this.stp03Act10Exited &&
    this.caocdwc //&&
    //(this.assLinkCreated ||
    //this.associationCreated ||
    //this.classCreated ||
    //this.heritCreated ||
    //this.roleCreated ||
    //this.depLinkCreated)
    );
  }
  
  private boolean condState25() {
    return (
    this.stp03Act12Clicked &&
    this.stp03Act12Exited &&
    this.ocd //&&
    //this.condResCreated
    );
  }
  
  private boolean condState26() {
    return (
    this.condState25()
    );
  }
  
  private boolean condState27() {
    return (
    this.act10Exited &&
    this.condState24()
    );
  }
  
  private boolean condState28() {
    return (
    this.act12Exited &&
    this.condState25()
    );
  }
  
  private boolean condState29() {
    return (
    this.act13Exited &&
    this.condState23() &&
    this.condState25()
    );
  }
  
  private boolean condState30() {
    return (
    this.condState26()
    );
  }
  
  private boolean condState31() {
    return (
    this.act11Exited &&
    this.stp01Act11Exited &&
    this.stp01Act11Clicked &&
    this.stp02Act11Exited &&
    this.stp02Act11Clicked
    );
  }
  
  private boolean condState32() {
    return (
    this.condState30() &&
    this.condState31()
    );
  }
  
  private boolean condState33() {
    return (
    this.stp03Act13Clicked &&
    this.stp03Act13Exited &&
    this.opd //&&
    //this.proDiagCreated
    );
  }
  
  private boolean condState34() {
    return (
    this.act15Clicked &&
    this.act15Exited &&
    this.opd &&
    //this.proDiagCreated &&
    this.act17Exited
    );
  }
  
  private boolean condState35() {
    return (
    this.condState33()
    );
  }
  
  private boolean condState36() {
    return (
    this.act15Clicked &&
    this.act15Exited &&
    this.opd //&&
    //this.proDiagCreated
    );
  }
  
  private boolean condState37() {
    return (
    this.condState34()
    );
  }
  
  private boolean condState38() {
    return (
    this.stp01Act14Exited &&
    this.stp01Act14Clicked &&
    this.caopcd //&&
    //this.subPackCreated
    );
  }
  
  private boolean condState39() {
    return (
    this.stp02Act14Clicked &&
    this.stp02Act14Exited &&
    this.opcd
    );
  }
  
  private boolean condState40() {
    return (
    this.stp03Act14Exited
    );
  }
  
  private boolean condState41() {
    return (
    this.act16Clicked &&
    this.act16Exited &&
    this.oacd //&&
    //(this.opeCreated || this.attCreated)
    );
  }
  
  private boolean condState42() {
    return (
    this.act17Clicked &&
    this.act17Exited
    );
  }
  
  private boolean condState43() {
    return (
    this.stp01Act18Clicked &&
    this.stp01Act18Exited &&
    this.ocd &&
    this.opcd &&
    this.oacd
    );
  }
  
  private boolean condState44() {
    return (
    this.stp02Act18Clicked &&
    this.stp02Act18Exited //&&
    //this.stateCreated
    );
  }
  
  private boolean condState45() {
    return (
    this.act14Clicked &&
    this.act14Exited &&
    this.stp01Act14Exited &&
    this.stp01Act14Clicked &&
    //this.subPackCreated &&
    this.stp02Act14Clicked &&
    this.stp02Act14Exited &&
    this.stp03Act14Exited
    );
  }
  
  private boolean condState46() {
    return (
    this.act16Clicked &&
    this.act16Exited //&&
    //(this.opeCreated || this.attCreated)
    );
  }
  
  private boolean condState47() {
    return (
    this.condState42()
    );
  }
  
  private boolean condState48() {
    return (
    this.condState43() &&
    this.condState44()
    );
  }
  
  private boolean condAcces01() {
    return (
    true
    );
  }
  
  private boolean condAcces02() {
    return (
    this.condActAcces04()
    );
  }
  
  private boolean condAcces03() {
    return (
    true
    );
  }
  
  private boolean condAcces04() {
    return (
    this.condActAcces06()
    );
  }
  
  private boolean condAcces05() {
    return (
    this.condActAcces0307()
    //this.stp01Act06Clicked &&
    //this.stp02Act06Clicked &&
    //this.stp01Act07Clicked &&
    //this.stp02Act07Clicked //&&
    //this.caoucd &&
    //this.oucd &&
    //this.useCaseCreated &&
    //this.actorCreated
    );
  }
  
  private boolean condAcces06() {
    return (
    this.condActAcces06()
    //this.condProduc03()
    );
  }
  
  private boolean condAcces07() {
    return (
    this.condActAcces08()
    //this.condState14()
    //this.stp03Act07Clicked &&
    //this.stp03Act07Exited
    );
  }
  
  private boolean condAcces08() {
    return (
    this.condActAcces08()
    //this.condState14()
    //this.stp03Act07Clicked &&
    //this.stp03Act07Exited
    );
  }
  
  private boolean condAcces09() {
    return (
    this.condActAcces06()
    );
  }
  
  private boolean condAcces10() {
    return (
    this.condActAcces0210()
    //this.condProduc09()
    );
  }
  
  private boolean condAcces11() {
    return (
    this.condActAcces0110()
    //this.condProduc09()
    );
  }
  
  private boolean condAcces12() {
    return (
    this.condActAcces10()
    );
  }
  
  private boolean condAcces13() {
    return (
    this.condActAcces11()
    //this.condState27()
    );
  }
  
  private boolean condAcces14() {
    return (
    this.condActAcces10()
    //this.condProduc09()
    );
  }
  
  private boolean condAcces15() {
    return (
    this.condActAcces15()
    //this.condProduc14()
    );
  }
  
  private boolean condAcces16() {
    return (
    this.condActAcces15()
    //this.condProduc14()
    );
  }
  
  private boolean condAcces17() {
    return (
    this.condActAcces14()
    //this.condProduc14()
    );
  }
  
  private boolean condAcces18() {
    return (
    this.condActAcces14()
    //this.condProduc14()
    );
  }
  
  private boolean condAcces19() {
    return (
    this.condActAcces14()
    //this.condProduc14()
    );
  }
  
  private boolean condProduc01() {
    return (
    this.act01Clicked &&
    this.act01Exited &&
    this.act02Exited &&
    this.act03Exited &&
    this.act05Exited
    );
  }
  
  private boolean condProduc02() {
    return (
    this.act04Clicked &&
    this.act04Exited
    );
  }
  
  private boolean condProduc03() {
    return (
    this.condProduc01() &&
    this.condProduc02()
    );
  }
  
  private boolean condProduc04() {
    return (
    this.stp01Act06Clicked &&
    this.stp02Act06Clicked &&
    this.stp01Act07Clicked &&
    this.stp02Act07Clicked &&
    this.caoucd &&
    this.oucd &&
    this.useCaseCreated &&
    this.actorCreated
    );
  }
  
  private boolean condProduc05() {
    return (
    this.stp03Act07Clicked &&
    (this.interactDiags || this.seqDiagCreated)
    );
  }
  
  private boolean condProduc06() {
    return (
    this.condProduc04() &&
    this.condProduc05()
    );
  }
  
  private boolean condProduc07() {
    return (
    //this.act08Clicked &&
    //this.act09Clicked &&
    //this.act09Exited &&
    this.caof
    );
  }
  
  private boolean condProduc08() {
    return (
    this.condProduc07()
    );
  }
  
  private boolean condProduc09() {
    return (
    this.condProduc06() &&
    this.condProduc08()
    );
  }
  
  private boolean condProduc10() {
    return (
    this.stp02Act10Clicked &&
    this.stp01Act13Exited &&
    this.stp02Act13Exited &&
    this.stp03Act13Exited &&
    this.osd &&
    (this.interactDiags || this.seqDiagCreated)
    );
  }
  
  private boolean condProduc11() {
    return (
    this.stp03Act10Clicked &&
    this.classCreated &&
    (this.assLinkCreated ||
    this.associationCreated ||
    this.heritCreated ||
    this.roleCreated ||
    this.depLinkCreated)
    );
  }
  
  private boolean condProduc12() {
    return (
    this.condProduc10() &&
    this.condProduc11()
    );
  }
  
  private boolean condProduc13() {
    return (
    this.stp01Act11Clicked &&
    this.stp02Act11Clicked
    );
  }
  
  private boolean condProduc14() {
    return (
    this.condProduc12() &&
    this.condProduc13()
    );
  }
  
  private boolean condProduc15() {
    return (
    this.condAcces15() &&
    this.proDiagCreated
    );
  }
  
  private boolean condProduc16() {
    return (
    this.condProduc15()
    );
  }
  
  private boolean condProduc17() {
    return (
    this.stp02Act18Exited &&
    this.opeCreated &&
    this.stateCreated &&
    this.attCreated
    );
  }
  
  private boolean condProduc18() {
    return (
    condProduc17()
    );
  }
  
  private boolean condProduc19() {
    return (
    this.condProduc18() &&
    this.condProduc16()
    );
  }
  
  private boolean condActAcces01() {
    return true;
  }
  
  private boolean condActAcces02() {
    return (
    this.condActCompl01()
    );
  }
  
  private boolean condActAcces03() {
    return (
    this.condActCompl02()
    );
  }
  
  private boolean condActAcces04() {
    return (
    this.condActCompl03()
    );
  }
  
  private boolean condActAcces05() {
    return (
    this.condActCompl03()
    );
  }
  
  private boolean condActAcces06() {
    return (
    this.condActCompl04() &&
    this.condActCompl05()
    );
  }
  
  private boolean condActAcces07() {
    return (
    this.condActCompl06()
    );
  }
  
  private boolean condActAcces08() {
    return (
    this.condActCompl07()
    );
  }
  
  private boolean condActAcces09() {
    return (
    this.condActCompl08()
    );
  }
  
  private boolean condActAcces10() {
    return (
    this.condActCompl09()
    );
  }
  
  private boolean condActAcces11() {
    return (
    this.condActCompl10()
    );
  }
  
  private boolean condActAcces12() {
    return (
    this.condActCompl11()
    );
  }
  
  private boolean condActAcces13() {
    return (
    this.condActCompl12()
    );
  }
  
  private boolean condActAcces14() {
    return (
    this.condActCompl13()
    );
  }
  
  private boolean condActAcces15() {
    return (
    this.condActCompl14()
    );
  }
  
  private boolean condActAcces16() {
    return (
    this.condActCompl15()
    );
  }
  
  private boolean condActAcces17() {
    return (
    this.condActCompl16()
    );
  }
  
  private boolean condActAcces18() {
    return (
    this.condActCompl17()
    );
  }
  
  private boolean condActAcces0106() {
    return condActAcces06();
  }
  
  private boolean condActAcces0206() {
    return (
    this.condActCompl0106()
    );
  }
  
  private boolean condActAcces0306() {
    return (
    this.condActCompl0206()
    );
  }
  
  private boolean condActAcces0107() {
    return condActAcces07();
  }
  
  private boolean condActAcces0207() {
    return (
    this.condActCompl0107()
    );
  }
  
  private boolean condActAcces0307() {
    return (
    this.condActCompl0207()
    );
  }
  
  private boolean condActAcces0110() {
    return condActAcces10();
  }
  
  private boolean condActAcces0210() {
    return (
    this.condActCompl0110()
    );
  }
  
  private boolean condActAcces0310() {
    return (
    this.condActCompl0210()
    );
  }
  
  private boolean condActAcces0111() {
    return (
    this.condActAcces11()
    );
  }
  
  private boolean condActAcces0211() {
    return (
    this.condActCompl0111()
    );
  }
  
  private boolean condActAcces0112() {
    return condActAcces12();
  }
  
  private boolean condActAcces0212() {
    return (
    this.condActCompl0112()
    );
  }
  
  private boolean condActAcces0312() {
    return (
    this.condActCompl0212()
    );
  }
  
  private boolean condActAcces0113() {
    return condActAcces13();
  }
  
  private boolean condActAcces0213() {
    return (
    this.condActCompl0113()
    );
  }
  
  private boolean condActAcces0313() {
    return (
    this.condActCompl0213()
    );
  }
  
  private boolean condActAcces0114() {
    return condActAcces14();
  }
  
  private boolean condActAcces0214() {
    return (
    this.condActCompl0114()
    );
  }
  
  private boolean condActAcces0314() {
    return (
    this.condActCompl0214()
    );
  }
  
  private boolean condActAcces0414() {
    return (
    this.condActCompl0314()
    );
  }
  
  private boolean condActAcces0116() {
    return condActAcces16();
  }
  
  private boolean condActAcces0216() {
    return (
    this.condActCompl0116()
    );
  }
  
  private boolean condActAcces0316() {
    return (
    this.condActCompl0216()
    );
  }
  
  private boolean condActAcces0416() {
    return (
    this.condActCompl0316()
    );
  }
  
  private boolean condActAcces0516() {
    return (
    this.condActCompl0416()
    );
  }
  
  private boolean condActAcces0118() {
    return condActAcces18();
  }
  
  private boolean condActAcces0218() {
    return (
    this.condActCompl0118()
    );
  }
  
  private boolean condActCompl01() {
    return (
    this.act01Clicked &&
    this.act01Exited
    );
  }
  
  private boolean condActCompl02() {
    return (
    this.act02Exited &&
    this.condActCompl01()
    );
  }
  
  private boolean condActCompl03() {
    return (
    this.act03Exited &&
    this.condActCompl02()
    );
  }
  
  private boolean condActCompl04() {
    return (
    this.act04Clicked &&
    this.act04Exited &&
    this.condActCompl03()
    );
  }
  
  private boolean condActCompl05() {
    return (
    this.act05Exited &&
    this.condActCompl03()
    );
  }
  
  private boolean condActCompl06() {
    return (
    this.stp01Act06Clicked &&
    this.stp01Act06Exited &&
    this.stp02Act06Clicked &&
    this.stp02Act06Exited &&
    this.stp03Act06Exited
    );
  }
  
  private boolean condActCompl07() {
    return (
    this.stp01Act07Clicked &&
    this.stp01Act07Exited &&
    this.stp02Act07Clicked &&
    this.stp02Act07Exited &&
    this.stp03Act07Clicked &&
    this.stp03Act07Exited
    );
  }
  
  private boolean condActCompl08() {
    return (
    this.act08Clicked &&
    this.act08Exited
    );
  }
  
  private boolean condActCompl09() {
    return (
    this.act09Clicked &&
    this.act09Exited
    );
  }
  
  private boolean condActCompl10() {
    return (
    this.stp01Act10Clicked &&
    this.stp01Act10Exited &&
    this.stp02Act10Clicked &&
    this.stp02Act10Exited &&
    this.stp03Act10Clicked &&
    this.stp03Act10Exited
    );
  }
  
  private boolean condActCompl11() {
    return (
    this.stp01Act11Clicked &&
    this.stp01Act11Exited &&
    this.stp02Act11Clicked &&
    this.stp02Act11Exited
    );
  }
  
  private boolean condActCompl12() {
    return (
    this.stp01Act12Exited &&
    this.stp02Act12Exited &&
    this.stp03Act12Clicked &&
    this.stp03Act12Exited
    );
  }
  
  private boolean condActCompl13() {
    return (
    this.stp01Act13Clicked &&
    this.stp01Act13Exited &&
    this.stp02Act13Clicked &&
    this.stp02Act13Exited &&
    this.stp03Act13Clicked &&
    this.stp03Act13Exited
    );
  }
  
  private boolean condActCompl14() {
    return (
    this.stp01Act14Clicked &&
    this.stp01Act14Exited &&
    this.stp02Act14Clicked &&
    this.stp02Act14Exited &&
    this.stp03Act14Exited &&
    this.stp04Act14Clicked &&
    this.stp04Act14Exited
    );
  }
  
  private boolean condActCompl15() {
    return (
    this.act15Clicked &&
    this.act15Exited
    );
  }
  
  private boolean condActCompl16() {
    return (
    this.stp01Act16Clicked &&
    this.stp01Act16Exited &&
    this.stp02Act16Clicked &&
    this.stp02Act16Exited &&
    this.stp03Act16Clicked &&
    this.stp03Act16Exited &&
    this.stp04Act16Clicked &&
    this.stp04Act16Exited &&
    this.stp05Act16Exited
    );
  }
  
  private boolean condActCompl17() {
    return (
    this.act17Exited
    );
  }
  
  private boolean condActCompl18() {
    return (
    this.stp01Act18Clicked &&
    this.stp01Act18Exited &&
    this.stp02Act18Clicked &&
    this.stp02Act18Exited
    );
  }
  
  private boolean condActCompl0106() {
    return (
    this.stp01Act06Clicked &&
    this.stp01Act06Exited
    );
  }
  
  private boolean condActCompl0206() {
    return (
    this.stp02Act06Clicked &&
    this.stp02Act06Exited
    );
  }
  
  private boolean condActCompl0306() {
    return (
    this.stp03Act06Exited
    );
  }
  
  private boolean condActCompl0107() {
    return (
    this.stp01Act07Clicked &&
    this.stp01Act07Exited
    );
  }
  
  private boolean condActCompl0207() {
    return (
    this.stp02Act07Clicked &&
    this.stp02Act07Exited
    );
  }
  
  private boolean condActCompl0307() {
    return (
    this.stp03Act07Clicked &&
    this.stp03Act07Exited
    );
  }
  
  private boolean condActCompl0110() {
    return (
    this.stp01Act10Clicked &&
    this.stp01Act10Exited
    );
  }
  
  private boolean condActCompl0210() {
    return (
    this.stp02Act10Clicked &&
    this.stp02Act10Exited
    );
  }
  
  private boolean condActCompl0310() {
    return (
    this.stp03Act10Clicked &&
    this.stp03Act10Exited
    );
  }
  
  private boolean condActCompl0111() {
    return (
    this.stp01Act11Clicked &&
    this.stp01Act11Exited
    );
  }
  
  private boolean condActCompl0211() {
    return (
    this.stp02Act11Clicked &&
    this.stp02Act11Exited
    );
  }
  
  private boolean condActCompl0112() {
    return (
    this.stp01Act12Exited
    );
  }
  
  private boolean condActCompl0212() {
    return (
    this.stp02Act12Exited
    );
  }
  
  private boolean condActCompl0312() {
    return (
    this.stp03Act12Clicked &&
    this.stp03Act12Exited
    );
  }
  
  private boolean condActCompl0113() {
    return (
    this.stp01Act13Clicked &&
    this.stp01Act13Exited
    );
  }
  
  private boolean condActCompl0213() {
    return (
    this.stp02Act13Clicked &&
    this.stp02Act13Exited
    );
  }
  
  private boolean condActCompl0313() {
    return (
    this.stp03Act13Clicked &&
    this.stp03Act13Exited
    );
  }
  
  private boolean condActCompl0114() {
    return (
    this.stp01Act14Clicked &&
    this.stp01Act14Exited
    );
  }
  
  private boolean condActCompl0214() {
    return (
    this.stp02Act14Clicked &&
    this.stp02Act14Exited
    );
  }
  
  private boolean condActCompl0314() {
    return (
    this.stp03Act14Exited
    );
  }
  
  private boolean condActCompl0414() {
    return (
    this.stp04Act14Clicked &&
    this.stp04Act14Exited
    );
  }
  
  private boolean condActCompl0116() {
    return (
    this.stp01Act16Clicked &&
    this.stp01Act16Exited
    );
  }
  
  private boolean condActCompl0216() {
    return (
    this.stp02Act16Clicked &&
    this.stp02Act16Exited
    );
  }
  
  private boolean condActCompl0316() {
    return (
    this.stp03Act16Clicked &&
    this.stp03Act16Exited
    );
  }
  
  private boolean condActCompl0416() {
    return (
    this.stp04Act16Clicked &&
    this.stp04Act16Exited
    );
  }
  
  private boolean condActCompl0516() {
    return (
    this.stp05Act16Exited
    );
  }
  
  private boolean condActCompl0118() {
    return (
    this.stp01Act18Clicked &&
    this.stp01Act18Exited
    );
  }
  
  private boolean condActCompl0218() {
    return (
    this.stp02Act18Clicked &&
    this.stp02Act18Exited
    );
  }
  
  public void update() {
    this.updateWPStates();
    this.updateWPAccess();
    this.updateWPProduc();
    this.updateActAccess();
    this.updateActComple();
  }
  
  public void printErrLog(String s) {
    this.module.printlnLogFileErr("WorkProductValidator::"+s);
  }
  
  public void printOutLog(String s) {
    this.module.printlnLogFileOut("WorkProductValidator::"+s);
  }
  
  public void openToolMessageReceived(adelfeToolkit.openTool.OpenToolMessageEvent evt) {
    String m = (String)evt.getMessage();
    if (evt.getSource() instanceof adelfeToolkit.openTool.OpenToolLogReader) {
      processLogMessage(m);
    } else {
      processSocketMessage(m);
    }
  }
  
  private void processLogMessage(String m){
    System.out.println("message : "+LogMessageParser.extractDate(m)+" "+LogMessageParser.extractSourceType(m));
    this.logMessageReceived(m);
  }
  
  private void processSocketMessage(String m) {
    this.socketMessageReceived(m);
  }
  
}
