package adelfeToolkit.modules;

/*
 * WorkProductModule.java
 *
 * Created on 2 dcembre 2002, 10:17
 */

import adelfeToolkit.gui.*;
import adelfeToolkit.activities.WorkProduct;
import adelfeToolkit.activities.WorkProductList;
import adelfeToolkit.AdelfeToolkit;

/**
 *
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class WorkProductModule
implements java.io.Serializable,
adelfeToolkit.utilities.LogWriter {
  
  private AdelfeToolkit owner;
  
  private WorkProductModuleUI uI;
  
  private WorkProductList currentWorkProductList;
  
  /** Creates a new instance of WorkProductModule */
  public WorkProductModule() {
  }
  
  public WorkProductModule(AdelfeToolkit own) {
    owner = own;
  }
  
  public void setUI(WorkProductModuleUI u) {
    uI = u;
  }
  
  public WorkProductModuleUI getUI() {
    return uI;
  }
  
  public void setCurrentWorkProductList(WorkProductList v) {
    currentWorkProductList = v;
  }
  
  public WorkProductList getCurrentWorkProductList() {
    return currentWorkProductList;
  }
  
  public AdelfeToolkit getOwner() {
    return owner;
  }
  
  public void setWPState(String wpName, String state) {
    for (int i =0;i<this.owner.getManagerModule().getCurrentProject().getWorkProducts().size();i++) {
      ((WorkProduct)this.owner.getManagerModule().getCurrentProject().getWorkProducts().get(i)).setState(wpName, state);
    }
  }
  
  public void setWPAcces(String wpName, boolean acces) {
    for (int i =0;i<this.owner.getManagerModule().getCurrentProject().getWorkProducts().size();i++) {
      ((WorkProduct)this.owner.getManagerModule().getCurrentProject().getWorkProducts().get(i)).setAcces(wpName, acces);
    }
  }
  
  public void setWPProduc(String wpName, boolean prod) {
    for (int i =0;i<this.owner.getManagerModule().getCurrentProject().getWorkProducts().size();i++) {
      ((WorkProduct)this.owner.getManagerModule().getCurrentProject().getWorkProducts().get(i)).setProduc(wpName, prod);
    }
  }
  
  public void printErrLog(String s) {
    this.owner.printlnLogFileErr("WorkProductModule::"+s);
  }
  
  public void printOutLog(String s) {
    this.owner.printlnLogFileOut("WorkProductModule::"+s);
  }
  
}
