/*
 * OpenToolMessageEvent.java
 *
 * Created on 18 juin 2003, 10:19
 */

package adelfeToolkit.openTool;

/** This event informs the Toolkit of message arrival from OpenTool.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenToolMessageEvent extends java.util.EventObject {
  
  /** the message coming from OT */  
  private String message = "";
  
  /** Creates a new instance of OpenToolMessageEvent
   * @param m the message from OT
   * @param source The source of the event.
   */
  public OpenToolMessageEvent(Object source, String m) {
    super(source);
    setMessage(m);
  }
  
  /** Getter for property message.
   * @return Value of property message.
   *
   */
  public java.lang.String getMessage() {
    return message;
  }
  
  /** Setter for property message.
   * @param message New value of property message.
   *
   */
  public void setMessage(java.lang.String message) {
    this.message = message;
  }
  
}
