/*
 * OpenToolMessageHandler.java
 *
 * Created on 18 juin 2003, 13:40
 */

package adelfeToolkit.openTool;

/** this class is implemented by classes managing OpenToolMessage
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface OpenToolMessageHandler {
  
  /** adds an <CODE>OpenToolMessageListener</CODE> to the listeners list
   * @param listener the listener to add
   */  
  public void addOpenToolMessageListener(OpenToolMessageListener listener);
  
  /** this methods sends an <CODE>OpenToolMessageEvent</CODE> to all the listeners
   * @param evt the event to send
   */  
  public void fireOpenToolMessageReceived(OpenToolMessageEvent evt);
  
  /** this method removes an <CODE>OpenToolMessageListener</CODE> from the listeners list
   * @param listener the listener to remove
   */  
  public void removeOpenToolMessageListener(OpenToolMessageListener listener);
  
}
