/*
 * OpenToolSynthesisRequester.java
 *
 * Created on 3 juillet 2003, 10:43
 */

package adelfeToolkit.openTool;

import java.util.TimerTask;

import adelfeToolkit.language.LanguageChangeSupport;

/** This <CODE>TimerTask</CODE> send command to OT to generate synthesis html
 * document
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenToolSynthesisRequester extends TimerTask {
  
  /** the owner of the requester */  
  private OpenToolConnector owner;
  
  /** it manages the language changes */  
  private LanguageChangeSupport languageChangeSupport;
  
  /** Creates a new instance of OpenToolSynthesisRequester
   * @param o the owner
   */
  public OpenToolSynthesisRequester(OpenToolConnector o) {
    owner = o;
  }
  
  /** the task called by the timer to request synthesis generation */  
  public void run() {
    if (owner.getOwner().getUI() != null && owner.getOwner().getUI().isActive()){
    request();
    }
  }
  
  /** his method sends the generation command to OT via the socket */  
  public void request() {
    adelfeToolkit.activities.Project p = owner.getOwner().getManagerModule().getCurrentProject();
    if (p.getSaveNumber() > 0) {
      String dir = p.getDirectory().getFile()+p.getActionName()+"_OT";
      String filesep = System.getProperty("file.separator");
      java.io.File f = new java.io.File(dir+filesep);
      String filePath = f.getAbsolutePath()+filesep;
      String fileName = p.getActionName();
      String docName = p.getActionName();
      String subjectName = "Synthesis";
      try {
      languageChangeSupport = owner.getOwner().getUI().getLanguageChangeSupport();
      subjectName = languageChangeSupport.getRessourceBundle().getString("Synthesis");
      } catch (java.lang.NullPointerException e) {
      }
      
      String subtitle = "";
      try {
        String comm =         
        "docSynthesisAdelfe(\""+
        filePath+
        "\",\""+
        fileName+
        "\",\""+
        docName+
        "\",\""+
        subjectName+
        "\",\""+
        subtitle+
        "\");\n\014";
        //System.out.println(comm);
        this.owner.send(comm);
        this.owner.getOwner().getUI().getSynthesisModuleUI().refresh();
      } catch(java.io.IOException e) {
      }
    }  
  }
}
