/*
 * CreateAndOpenAgentsCD.java
 *
 * Created on 4 avril 2003, 15:57
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open agent class diagrams
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenAgentsCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of CreateAndOpenAgentsCD */
  public CreateAndOpenAgentsCD() {
  }
  
  /** Creates a new instance of CreateAndOpenAgentsCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenAgentsCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"])IF TRUE:{NEW UMLClassDiagram.{initialize();name:=\""+getProjectName()+"_Agents_CD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};$NO(ALL Class[isAgent])IF TRUE:{INFO(\"No agent classes found\");}IF FALSE:{(ALL Class[isAgent]).{dropOnUMLClassDiagram(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"])};THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"].open}}IF FALSE:{INFO(\"Agents Class Diagram already exists\");(ALL Class[isAgent]).{dropOnUMLClassDiagram(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"])};THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"].open};\"_CAOACD\";");
  }
}
