/*
 * CreateAndOpenCDWithClasses.java
 *
 * Created on 2 avril 2003, 19:32
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open class diagrams with
 * pre-existing classes
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenCDWithClasses extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of CreateAndOpenCDWithClasses */
  public CreateAndOpenCDWithClasses() {
  }
  
  /** Creates a new instance of CreateAndOpenCDWithClasses with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenCDWithClasses(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"])IF TRUE:{NEW UMLClassDiagram.{initialize();name:=\""+getProjectName()+"_CD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};$NO(ALL Class)	IF TRUE:{	INFO(\"No class found\");}IF FALSE:{ALL Class.{dropOnUMLClassDiagram(ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"])};THIS.system.getRoot();ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"].open}}IF FALSE:{INFO(\"Class Diagram already exists\");ALL Class.{dropOnUMLClassDiagram(ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"])};ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"].open};\"_CAOCDWC\";");
  }
}
