/*
 * CreateAndOpenCLBD.java
 *
 * Created on 2 avril 2003, 19:28
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open collaboration diagrams
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenCLBD extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of CreateAndOpenCLBD */
  public CreateAndOpenCLBD() {
  }
  
  /** Creates a new instance of CreateAndOpenCLBD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenCLBD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(ALL UMLClassDiagram[name=\""+getProjectName()+"_CLBD\"])IF TRUE:{NEW UMLCollaborationDiagram.{initialize();name:=\""+getProjectName()+"_CLBD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};THIS.system.getRoot();ALL UMLCollaborationDiagram[name=\""+getProjectName()+"_CLBD\"].open}IF FALSE:{INFO(\"Diagram already exists\");ALL UMLCollaborationDiagram[name=\""+getProjectName()+"_CLBD\"].open};\"_CAOCLBD\";");
  }
}
