/*
 * CreateAndOpenFIG.java
 *
 * Created on 2 avril 2003, 19:28
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open a figure
 * pre-existing classes
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenFIG extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of CreateAndOpenFIG */
  public CreateAndOpenFIG() {
  }
  
  /** Creates a new instance of CreateAndOpenFIG with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenFIG(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA Drawing][name=\""+getProjectName()+"_UI_FIG\"])IF TRUE:{NEW Drawing.{initialize();name:=\""+getProjectName()+"_UI_FIG\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA Drawing][name=\""+getProjectName()+"_UI_FIG\"].open}IF FALSE:{INFO(\"UI Figure Diagram already exists\");THIS.getTop.*(subsystems).diagrams[EACH ISA Drawing][name=\""+getProjectName()+"_UI_FIG\"].open};\"_CAOF\";");
  }
}
