/*
 * CreateAndOpenUCD.java
 *
 * Created on 2 avril 2003, 16:39
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open use case diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenUCD extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of CreateAndOpenUCD */
  public CreateAndOpenUCD() {
  }
  
  /** Creates a new instance of CreateAndOpenUCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenUCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(ALL UMLUseCaseDiagram[name=\""+ getProjectName() +"_UCD\"]) IF TRUE:{NEW UMLUseCaseDiagram.{initialize();name:=\""+ getProjectName() +"_UCD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system;};THIS.system.getRoot();ALL UMLUseCaseDiagram[name=\""+ getProjectName() +"_UCD\"].open} IF FALSE:{INFO(\"Diagram already exists\");ALL UMLUseCaseDiagram[name=\""+ getProjectName() +"_UCD\"].open};\"_CAOUCD\";");
  }
}
