/*
 * OpenDrawingTool.java
 *
 * Created on 3 avril 2003, 10:31
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open a drawing tool
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenDrawingTool extends ShellCommandShortcut {
  
  /** Creates a new instance of OpenDrawingTool */
  public OpenDrawingTool() {
  }
  /** Creates a new instance of OpenDrawingTool with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenDrawingTool(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.DRAWING_TOOL_COMMAND);
  }
  
  /** This method constrcut a shell command to open a drawing tool
   * @return the shell command
   */  
   public String shellCommand() {
    return (this.getPath());
  }
}
