/*
 * OpenFIG.java
 *
 * Created on 2 avril 2003, 19:28
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open a figure
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenFIG extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of OpenFIG */
  public OpenFIG() {
  }
  
  /** Creates a new instance of OpenFIG with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenFIG(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA Drawing][name=\""+getProjectName()+"_UI_FIG\"])IF TRUE:{INFO(\"UI Figure do not exist. Either you have changed its name or you has to create it\");}IF FALSE:{THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA Drawing][name=\""+getProjectName()+"_UI_FIG\"].open};\"_OF\";");
  }
}
