/*
 * OpenNCSTemplate.java
 *
 * Created on 3 avril 2003, 10:31
 */

package adelfeToolkit.shortcuts;

import java.io.File;

/** This shortcut contains a shell command to open a NCS template
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenNCSTemplate extends ShellCommandShortcut {
  
  /** the directory in which the Requirements will be saved */  
  private String workingDirectory;
  
  /** Creates a new instance of OpenNCSTemplate */
  public OpenNCSTemplate() {
  }
  /** Creates a new instance of OpenNCSTemplate with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */
  public OpenNCSTemplate(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.NCS_TEMPLATE_COMMAND);
  }
  
  /** This method construct a shell command to open a text editor
   * @return the shell command
   */
  public String shellCommand() {
    java.net.URL url = getClass().getResource(adelfeToolkit.AdelfeToolkit.DEFAULT_PATH+"DOCS/NCSTemplate.pdf");
    File file1 = new java.io.File(url.getFile().substring(1));
    File file2 = new java.io.File(this.workingDirectory.substring(1)+"NCSTemplate.pdf");
    System.out.println(file2);
    adelfeToolkit.utilities.FileCopier.copy(file1, file2);
    return (this.getPath() + " " + file2.getAbsolutePath());
  }  
  
  /** Getter for property workingDirectory.
   * @return Value of property workingDirectory.
   *
   */
  public java.lang.String getWorkingDirectory() {
    return workingDirectory;
  }
  
  /** Setter for property workingDirectory.
   * @param workingDirectory New value of property workingDirectory.
   *
   */
  public void setWorkingDirectory(java.lang.String workingDirectory) {
    this.workingDirectory = workingDirectory;
  }
  
}
