/*
 * OpenTextEditor.java
 *
 * Created on 3 avril 2003, 10:31
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a shell command to open a text editor
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenTextEditor extends ShellCommandShortcut {
  
  /** Creates a new instance of OpenTextEditor */
  public OpenTextEditor() {
  }
  /** Creates a new instance of OpenTextEditor with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenTextEditor(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.TEXT_EDITOR_COMMAND);
  }
  
  /** This method construct a shell command to open a text editor
   * @return the shell command
   */  
   public String shellCommand() {
    return (this.getPath());
  }
}
