/*
 * OpenToolBatchCommandShortCut.java
 *
 * Created on 28 fvrier 2003, 09:47
 */

package adelfeToolkit.shortcuts;

/** An OpenToolBatchCommandShortcut is a shortcut whose command is a batch command
 * to interract with OpenTool.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenToolBatchCommandShortcut extends Shortcut {
  
  /** Creates a new instance of OpenToolBatchCommandShortcut */
  public OpenToolBatchCommandShortcut() {
  }
  
  /** Creates a new instance of OpenToolBatchCommandShortcut with initial values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenToolBatchCommandShortcut(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.OPEN_TOOL_BATCH_COMMAND);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return "";
  }
  
}
