/*
 * OpenUCD.java
 *
 * Created on 2 avril 2003, 18:30
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open a use case diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenUCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of OpenUCD */
  public OpenUCD() {
  }
  
  /** Creates a new instance of OpenUCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenUCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("$NO(ALL UMLUseCaseDiagram[name=\""+getProjectName()+"_UCD\"]) IF TRUE:{INFO(\"Use Case Diagram do not exist. Either you have changed its name or you has to create it\");} IF FALSE:{THIS.system.getRoot();ALL UMLUseCaseDiagram[name=\""+getProjectName()+"_UCD\"].open};\"_OUCD\";");
  }
  
}
