/*
 * ShortClickedEventHandler.java
 *
 * Created on 18 juin 2003, 13:40
 */

package adelfeToolkit.shortcuts;

/** This interface is impleted by classes able to handle ShortCutClicked events
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface ShortClickedEventHandler {
  
  /** this method add a new listener to the listeners list
   * @param listener the listener to add
   */  
  public void addShortCutClickedListener(ShortCutClickedListener listener);
  
  /** This method sends a ShotCutClickedEvent to all the listeners
   * @param evt the event to send
   */  
  public void fireShortCutClickedReceived(ShortCutClickedEvent evt);
  
  /** this method remove a listner form the listeners list
   * @param listener the listener to remove
   */  
  public void removeShortCutClickedListener(ShortCutClickedListener listener);
  
}
