/*
 * DlfFilter.java
 *
 * Created on 3 juin 2003, 09:34
 */

package adelfeToolkit.utilities;

import java.io.File;
import javax.swing.filechooser.*;
import adelfeToolkit.utilities.ExtensionGetter;

/** This class regroups method to filter files by their extension. It only accepts
 * .dlf files
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class DlfFilter extends FileFilter {
  
  /** Whether the given file is accepted by this filter.
   * @param f the file to process
   * @return Whether the given file is accepted by this filter.
   */
  public boolean accept(File f) {
    if (f.isDirectory()) {
      return true;
    }
    String extension = ExtensionGetter.getExtension(f);
    if (extension != null) {
      return (extension.equals(ExtensionGetter.dlf));
    } else {
      return false;
    }
  }
  
  /** The description of this filter.
   * @see FileView#getName
   * @return a string that represents the filter
   */
  public String getDescription() {
    return "Adelfe projects";
  }
  
}
