/*
 * ExtensionGetter.java
 *
 * Created on 3 juin 2003, 09:37
 */

package adelfeToolkit.utilities;


import java.io.File;
/** This class regroups methods to extract the extension of files
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ExtensionGetter {
  
  /** the .dlf extension */  
  public final static String dlf = "dlf";
  /** the .rtf extension */  
  public final static String rtf = "rtf";
  /** the .txt extension */  
  public final static String txt = "txt";
  /** the .exe extension */  
  public final static String exe = "exe";
  
    /*
     * Get the extension of a file.
     */
  /** This method extract the extension of the given file
   * @param f the file to process
   * @return the extension of the file
   */  
  public static String getExtension(File f) {
    String ext = "";
    String s = f.getName();
    int i = s.lastIndexOf('.');
    
    if (i > 0 &&  i < s.length() - 1) {
      ext = s.substring(i+1).toLowerCase();
    }
    return ext;
  }
}
