/*
 * FileCopier.java
 *
 * Created on 8 juillet 2003, 10:16
 */

package adelfeToolkit.utilities;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

/** This class copy a file into another
 * @author picard
 */
public class FileCopier {
  
  /** Copy the input file into the output file byte to byte
   * @param inputFile the source file
   * @param outputFile the destination file
   */
  
  public static void copy(File inputFile, File outputFile) {
    
    try {
      outputFile.createNewFile();
      
      FileInputStream in = new FileInputStream(inputFile);
      FileOutputStream out = new FileOutputStream(outputFile);
      
      int c;
      
      while ((c = in.read()) != -1)
        out.write(c);
      
      in.close();
      out.close();
    } catch (java.io.FileNotFoundException e1) {
      System.out.println(e1);
    } catch ( java.io.IOException e2) {
      System.out.println(e2);
    }
  }
  
}
