/*
 * StringRequester.java
 *
 * Created on 3 juin 2003, 14:51
 */

package adelfeToolkit.utilities;

import javax.swing.JOptionPane;

/** This class only owns one method to request String from the user thanks to a
 * JOptionPane.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class StringRequester {
  
  /** This method request a String to the user
   * @param defaultName The default String to display
   * @param title the title of the JOptionPane
   * @param request The request to display in the JOptionPane
   * @param yes the text for YES
   * @param cancel the text for CANCEL
   * @return the String typed by the user
   */  
  public static String stringRequest(String defaultName,String title,String request, String yes, String cancel) {
    Object[] options = {yes,cancel};
    String s = (String)JOptionPane.showInputDialog(
    null,
    request+"\n",
    title,
    JOptionPane.PLAIN_MESSAGE,
    null,
    null,
    defaultName);
    
    //If a string was returned, say so.
    if ((s != null) && (s.length() > 0)) {
      return s;
    }
    else {
      return defaultName;
    }
  }
}
