package adequation.Fenetre;

import java.awt.Dimension;
import java.util.Hashtable;

import javax.swing.JLabel;
import javax.swing.JSlider;

import adequation.ressources.Ressources;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */


public class Glissiere extends JSlider
{

/*******************************/
/********** Attributs **********/
/*******************************/

/** question associee a la glissiere */
	private String _question = "";

/** importance associee au cote non pour le score systeme */
	private int _val_non_systeme = 0;

/** importance associee au cote oui pour le score systeme */
	private int _val_oui_systeme = 0;

/** importance associee au cote non pour le score composants */
	private int _val_non_composants = 0;

/** importance associee au cote oui pour le score composants */
	private int _val_oui_composants = 0;

/** texte de l'aide */
	private String _aide = "";


	public double _coef_systeme[] = new double[Ressources.getInstance().getMaxGlissiere()+1];

	public double _coef_composants[] = new double[Ressources.getInstance().getMaxGlissiere()+1];




/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur parametre */
	public Glissiere(int position, String question, int val_non_systeme, int val_oui_systeme, int val_non_composants, int val_oui_composants, String aide)
	{
		// creation du slider horizontal
		super(position, 0, Ressources.getInstance().getMaxGlissiere(), Ressources.getInstance().getInitGlissiere());

		// dimensionnement de la glissiere
		setPreferredSize(new Dimension(450,48));

		// initialisation de la valeur de la glissiere
		setValue(Ressources.getInstance().getInitGlissiere());

		// affiche un truc qui sert a rien et qui n'apparait pas en laf Windows
		putClientProperty("JSlider.isFilled", Boolean.TRUE);

		// mise en place des marques du slider
		setMajorTickSpacing(Ressources.getInstance().getTickMaxGlissiere());
 	    setMinorTickSpacing(Ressources.getInstance().getTickMinGlissiere());
 	    setPaintTicks(true);
 	    //setSnapToTicks(true);

		// creation de la table des labels
		Hashtable labelTable = new Hashtable();
		labelTable.put(new Integer(0), new JLabel(Ressources.getInstance().getLabelGaucheGlissiere()));
		labelTable.put(new Integer(Ressources.getInstance().getInitGlissiere()), new JLabel(Ressources.getInstance().getLabelMilieuGlissiere()));
		labelTable.put(new Integer(Ressources.getInstance().getMaxGlissiere()), new JLabel(Ressources.getInstance().getLabelDroiteGlissiere()));
		setLabelTable(labelTable);

		// affichage de la tables des labels
 	    setPaintLabels(true);

		// pas trop dur
		_question = question;
		_val_non_systeme = val_non_systeme;
		_val_oui_systeme = val_oui_systeme;
		_val_non_composants = val_non_composants;
		_val_oui_composants = val_oui_composants;
		_aide = aide;

		for (int i=0; i<_coef_systeme.length; i++)
		{
			_coef_systeme[i] = _val_non_systeme + (_val_oui_systeme-_val_non_systeme)*i/_coef_systeme.length;
			_coef_composants[i] = _val_non_composants + (_val_oui_composants-_val_non_composants)*i/_coef_composants.length;
		}

		// ajout de l'ecouteur de souris
		addMouseListener(Ressources.getInstance().getEcouteurSourisResultat());
	}





/*************************************/
/********** Autres mthodes **********/
/*************************************/

/*******************************************************************************************/
/** retourne la question */
	public String getQuestion()
	{
		return(_question);
	}



/*******************************************************************************************/
/** retourne l'importance associee au cote non pour le score systeme */
	public int getValNonSysteme()
	{
		return(_val_non_systeme);
	}



/*******************************************************************************************/
/** retourne l'importance associee au cote oui pour le score systeme */
	public int getValOuiSysteme()
	{
		return(_val_oui_systeme);
	}



/*******************************************************************************************/
/** retourne l'importance associee au cote non pour le score composants */
	public int getValNonComposants()
	{
		return(_val_non_composants);
	}



/*******************************************************************************************/
/** retourne l'importance associee au cote oui pour le score composants */
	public int getValOuiComposants()
	{
		return(_val_oui_composants);
	}



/*******************************************************************************************/
/** retourne le texte de l'aide */
	public String getAide()
	{
		return(_aide);
	}

}
// fin de la classe Glissiere
