package adequation.ecouteurs;


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

import adequation.ressources.*;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */


public class EcouteurAideGlissiere implements MouseListener
{

/*******************************/
/********** Attributs **********/
/*******************************/


/** fenetre de l'aide */
	private Window _texte = null;

/** panneau parent de la glissiere */
	private JPanel _panneau_parent = null;

/** temoigne de si on a deja clique pour avoir cette aide */
	private boolean _click = false;

/** indique qu'elle l'aide qui est en cours d'affichage */
	 private static EcouteurAideGlissiere _courant = null;





/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur */
    public EcouteurAideGlissiere()
	{
	}



/*******************************************************************************************/
/** constructeur parametre */
    public EcouteurAideGlissiere(JPanel panneau_glissiere, String texte_aide, JFrame frame)
	{
		// pas trop dur
		_panneau_parent = panneau_glissiere;

		// creation de la fenetre de l'aide
		_texte = new Window(frame);

		// creation du texte de l'aide
		JTextArea text_area = new JTextArea(texte_aide,5,5);

		// ajout de l'ecouteur
		text_area.addMouseListener(this);

		// reglage des parametres de la fenetre
		text_area.setPreferredSize(new Dimension(499,50));
		text_area.setEditable(false);
		text_area.setFont(new Font("serif", Font.ITALIC, 13));
		text_area.setLineWrap(true);
		text_area.setWrapStyleWord(true);

		// si la partie background "Aide" doit etre coloree
		if (Ressources.getInstance().getBackgroundAide() != null)
		{
			// on le fait
		    text_area.setBackground(Ressources.getInstance().getBackgroundAide());
		}

		// si la partie Foreground "Aide" doit etre coloree
		if (Ressources.getInstance().getForegroundAide() != null)
		{
			// on le fait
		    text_area.setForeground(Ressources.getInstance().getForegroundAide());
		}

		// ajout du texte a la fenetre de l'aide
		_texte.add(text_area, BorderLayout.CENTER);

		// mise en place des elements et ajustement de la forme de la fenetre
        _texte.pack();

		// pour l'instant la fnetre n'est pas visible
        _texte.setVisible(false);
    }





/*************************************/
/********** Autres mthodes **********/
/*************************************/

/*******************************************************************************************/
/** si on clique sur un element ecoute */
    public void mouseClicked(MouseEvent e)
	{
		// si on avait pas deja affiche cette aide
		if (!_click)
		{
			// s'il y a une autre aide affichee
		    if (_courant != null)
			{
				// on la rend invisible
				_courant._texte.setVisible(false);

				// on le memorise
				_courant._click = false;
			}

			// affichage de la fenetre d'aide a laposition que l'on souhaite
		    _texte.setLocation(_panneau_parent.getLocationOnScreen().x, _panneau_parent.getLocationOnScreen().y+85);

			// on rend la fenetre visible
            _texte.setVisible(true);

			// on memorise que la fenetre courante est maintenant celle-ci
			_courant = this;
		}

		// si cette aide est deja affichee
		else
		{
			// on rend la fenetre invisible
            _texte.setVisible(false);

			// on memorise qu'il n'y pas de fenetre actuellement affichee
			_courant = null;
		}

		// pas trop dur
		_click = !_click;
    }



/*******************************************************************************************/
/** affiche la fenetre tant que le bouton droit est enfonce */
    public void mousePressed(MouseEvent e)
	{
		// si on a clique avec le bouton droit
		//if (e.isPopupTrigger())
		//{
		    // affichage de la fenetre
		   // _texte.setLocation(_panneau_parent.getLocationOnScreen().x, _panneau_parent.getLocationOnScreen().y+85);
            //_texte.setVisible(true);
		//}
    }



/*******************************************************************************************/
/** rend la fenetre invisible des qu'on relache le bouton */
    public void mouseReleased(MouseEvent e)
	{
		// affichage de la fenetre
        //_texte.setVisible(false);
    }



/*******************************************************************************************/
/**  */
    public void mouseEntered(MouseEvent e) {
        /**@todo: Implmenter cette mthode java.awt.event.MouseListener*/
        //throw new java.lang.UnsupportedOperationException("La mthode mouseEntered() nest pas encore implmente.");
    }



/*******************************************************************************************/
/**  */
    public void mouseExited(MouseEvent e) {
        /**@todo: Implmenter cette mthode java.awt.event.MouseListener*/
        //throw new java.lang.UnsupportedOperationException("La mthode mouseExited() nest pas encore implmente.");
    }

}
// fin de la classe EcouteurAideGlissiere
