package adequation.ecouteurs;


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

import adequation.ressources.*;

/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */

public class EcouteurAideResultat implements MouseListener
{

/*******************************/
/********** Attributs **********/
/*******************************/


/** fenetre de l'aide */
	private Window _texte = null;

/** zone texte de la fenetre */
	private JTextArea _text_area = null;

/** panneau parent de la glissiere */
	private JPanel _panneau_parent = null;

/** temoigne de si on a deja clique pour avoir cette aide */
	private boolean _click = false;

/** memorise la position en y */
	private int _position_y = 0;

/** memorise si c'est pour le systeme ou les composants */
	private boolean _systeme = true;





/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur */
    public EcouteurAideResultat()
	{
	}



/*******************************************************************************************/
/** constructeur parametre */
    public EcouteurAideResultat(JPanel panneau_resultat, JFrame frame, int position_y, boolean systeme)
	{
		// pas trop dur
		_panneau_parent = panneau_resultat;
		_systeme = systeme;
		_position_y = position_y;

		// creation de la fenetre de l'aide
		_texte = new Window(frame);

		// creation du texte de l'aide
		_text_area = new JTextArea("",6,6);

		// ajout de l'ecouteur
		_text_area.addMouseListener(this);

		// reglage des parametres de la fenetre
		_text_area.setPreferredSize(new Dimension(520,80));
		_text_area.setEditable(false);
		_text_area.setFont(new Font("serif", Font.ITALIC, 13));
		_text_area.setLineWrap(true);
		_text_area.setWrapStyleWord(true);

		// si la partie background "Aide" doit etre coloree
		if (Ressources.getInstance().getBackgroundAide() != null)
		{
			// on le fait
		    _text_area.setBackground(Ressources.getInstance().getBackgroundAide());
		}

		// si la partie Foreground "Aide" doit etre coloree
		if (Ressources.getInstance().getForegroundAide() != null)
		{
			// on le fait
		    _text_area.setForeground(Ressources.getInstance().getForegroundAide());
		}

		// ajout du texte a la fenetre de l'aide
		_texte.add(_text_area, BorderLayout.CENTER);

		// mise en place des elements et ajustement de la forme de la fenetre
        _texte.pack();

		// pour l'instant la fnetre n'est pas visible
        _texte.setVisible(false);
    }





/*************************************/
/********** Autres mthodes **********/
/*************************************/

/*******************************************************************************************/
/** si on clique sur un element ecoute */
    public void mouseClicked(MouseEvent e)
	{
		// si on avait pas deja affiche cette aide
		if (!_click)
		{
			if (_systeme)
			{
		        // Mise a jour du texte systeme
			    _text_area.setText(Ressources.getInstance().getCommmentaireSysteme(Ressources.getInstance().getGlissieres().getNumComAdeqSysteme()) + "\n" + Ressources.getInstance().getCommmentairePrecision(Ressources.getInstance().getGlissieres().getNumPrecResultatSysteme()));
			}

			else
			{
		        // Mise a jour du texte composants
			    _text_area.setText("\n" + Ressources.getInstance().getCommmentaireComposants(Ressources.getInstance().getGlissieres().getNumComAdeqComposants())); //+ "\n" + Ressources.getCommmentairePrecision(Ressources.getGlissieres().getNumPrecResultatComposants()));
			}

			// affichage de la fenetre d'aide a la position que l'on souhaite
		    _texte.setLocation(_panneau_parent.getLocationOnScreen().x, _panneau_parent.getLocationOnScreen().y+_position_y);
		}

		// on affiche ou pas selon click
        _texte.setVisible(!_click);

		// pas trop dur
		_click = !_click;
    }



/*******************************************************************************************/
/** affiche la fenetre tant que le bouton droit est enfonce */
    public void mousePressed(MouseEvent e)
	{
		// si on a clique avec le bouton droit
		//if (e.isPopupTrigger())
		//{
		    // affichage de la fenetre
		   // _texte.setLocation(_panneau_parent.getLocationOnScreen().x, _panneau_parent.getLocationOnScreen().y+85);
            //_texte.setVisible(true);
		//}
    }



/*******************************************************************************************/
/** rend la fenetre invisible des qu'on relache le bouton */
    public void mouseReleased(MouseEvent e)
	{
		// affichage de la fenetre
        //_texte.setVisible(false);
    }



/*******************************************************************************************/
/**  */
    public void mouseEntered(MouseEvent e) {
        /**@todo: Implmenter cette mthode java.awt.event.MouseListener*/
        //throw new java.lang.UnsupportedOperationException("La mthode mouseEntered() nest pas encore implmente.");
    }



/*******************************************************************************************/
/**  */
    public void mouseExited(MouseEvent e) {
        /**@todo: Implmenter cette mthode java.awt.event.MouseListener*/
        //throw new java.lang.UnsupportedOperationException("La mthode mouseExited() nest pas encore implmente.");
    }

}
// fin de la classe EcouteurAideResultat
