package adequation.interfac;


import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.util.Enumeration;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.BevelBorder;
import javax.swing.border.CompoundBorder;
import javax.swing.border.TitledBorder;

import adequation.Fenetre.Glissiere;
import adequation.ecouteurs.EcouteurAideGlissiere;
import adequation.ressources.Ressources;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */


public class InterfaceGlissieres extends JPanel
{

/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur parametre */
    public InterfaceGlissieres(JFrame frame)
	{
		// construction du JPanel
		super();

		// application d'une grille de placement avec autant de cases que de questions
		setLayout(new GridLayout(Ressources.getInstance().getGlissieres().size(), 1, 10, 10));

		// pour chaque glissiere
		for (Enumeration enum = Ressources.getInstance().getGlissieres().elements(); enum.hasMoreElements();)
		{
		    // recuperation de la glissiere
			Glissiere glissiere = (Glissiere)enum.nextElement();

			// creation du panneau contenant la glissiere
			JPanel panneau_glissiere = new JPanel();

			// affichage de la question dans la bordure
			panneau_glissiere.setBorder(new CompoundBorder(new TitledBorder(glissiere.getQuestion()), new BevelBorder(BevelBorder.LOWERED)));
			panneau_glissiere.setLayout(new BorderLayout());

			// si l'utilisateur souhaite colorer le background des panneaux des glissieres
			if (Ressources.getInstance().getBackgroundPanneauGlissiere() != null)
			{
			    // c'est parti
			    panneau_glissiere.setBackground(Ressources.getInstance().getBackgroundPanneauGlissiere());
			}

			// si l'utilisateur souhaite colorer le foreground des panneaux des glissieres
			if (Ressources.getInstance().getForegroundPanneauGlissiere() != null)
			{
			    // c'est parti
			    panneau_glissiere.setForeground(Ressources.getInstance().getForegroundPanneauGlissiere());
			}

			// si l'utilisateur souhaite colorer le background des glissieres
			if (Ressources.getInstance().getBackgroundGlissiere() != null)
			{
			    // c'est parti
				glissiere.setBackground(Ressources.getInstance().getBackgroundGlissiere());
			}

			// si l'utilisateur souhaite colorer le foreground des glissieres
			if (Ressources.getInstance().getForegroundGlissiere() != null)
			{
			    // c'est parti
				glissiere.setForeground(Ressources.getInstance().getForegroundGlissiere());
			}

			// ajout de la glissiere au centre du panneau glissiere
			panneau_glissiere.add(glissiere, BorderLayout.CENTER);

		    // definition du panneau glissiere comme objet a ecouter pour l'affichage de l'aide
			panneau_glissiere.addMouseListener(new EcouteurAideGlissiere(panneau_glissiere, glissiere.getAide(), frame));

			// ajout du panneau de la glissiere dans le panneau general des glissieres
			add(panneau_glissiere);
		}

		// si le background du fond doit etre colore
		if (Ressources.getInstance().getBackgroundFondGlissieres() != null)
		{
			// on le fait
		    setBackground(Ressources.getInstance().getBackgroundFondGlissieres());
		}

		// si le foreground du fond doit etre colore
		if (Ressources.getInstance().getForegroundFondGlissieres() != null)
		{
			// on le fait
		    setForeground(Ressources.getInstance().getForegroundFondGlissieres());
		}
    }

}
// fin de la classe InterfaceGlissieres
