package adequation.interfac;


import java.awt.*;
import javax.swing.*;
import javax.swing.border.TitledBorder;

import adequation.Fenetre.Resultat;
import adequation.ressources.Ressources;
import adequation.ecouteurs.*;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */

public class InterfaceResultats extends JPanel
{

/*******************************/
/********** Attributs **********/
/*******************************/

/** booleen permettant une meilleure comprehension du code a la lecture */
private boolean SYSTEME = true;
private boolean COMPOSANTS = false;

/** declaration des ecouteur pour l'aide des resultats */
private EcouteurAideResultat ecouteur_aide_resultat_systeme = null;
private EcouteurAideResultat ecouteur_aide_resultat_composants = null;





/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur par defaut */
    public InterfaceResultats(JFrame frame)
	{
		// construction du JPanel
	    super();

		// application d'une grille de placement avec 2 cases
		setLayout(new GridLayout(2, 1, 10, 10));

		// si l'utilisateur souhaite colorer le fond de la partie resultat
		if (Ressources.getInstance().getBackgroundFondResultat() != null)
		{
			setBackground(Ressources.getInstance().getBackgroundFondResultat());
		}

		// si l'utilisateur souhaite colorer le devant de la partie resultat
		if (Ressources.getInstance().getForegroundFondResultat() != null)
		{
			setForeground(Ressources.getInstance().getForegroundFondResultat());
		}

		// creation du panneau d'affichage du degrade systeme
		JPanel panneau_degrade_systeme = getPanneauDegrade();

		// creation du panneau d'affichage du degrade composants
		JPanel panneau_degrade_composants = getPanneauDegrade();

		// pour chaque case du degrade
		for (int i=0; i<Ressources.getInstance().getMaxGlissiere()+1; i++)
		{
			// creation d'un nouveau panneau resultat et affichage de ce panneau dans la case qui va bien dans la grille du degrade systeme
			panneau_degrade_systeme.add(Ressources.getInstance().getTabResultatSysteme()[i] = new Resultat(i, SYSTEME));

			// creation d'un nouveau panneau resultat et affichage de ce panneau dans la case qui va bien dans la grille du degrade composants
			panneau_degrade_composants.add(Ressources.getInstance().getTabResultatComposants()[i] = new Resultat(i, COMPOSANTS));
		}

		// mise a jour de l'affichage
		Ressources.getInstance().getGlissieres().majResultat();

		// creation du panneau d'affichage du resultat systeme
		JPanel panneau_resultat_systeme = getPanneauResultat(Ressources.getInstance().getTitreSysteme());

		// creation de l'ecouteur pour l'aide du resultat systeme
		ecouteur_aide_resultat_systeme = new EcouteurAideResultat(panneau_resultat_systeme, frame, 95, true);

		// affectation de l'ecouteur
		panneau_resultat_systeme.addMouseListener(ecouteur_aide_resultat_systeme);

		// ajout au panneau du degrade systeme
		panneau_resultat_systeme.add(panneau_degrade_systeme, BorderLayout.CENTER);

		// creation du panneau d'affichage du resultat composants
		JPanel panneau_resultat_composants = getPanneauResultat(Ressources.getInstance().getTitreComposants());

		// creation de l'ecouteur pour l'aide du resultat composants
		ecouteur_aide_resultat_composants = new EcouteurAideResultat(panneau_resultat_composants, frame, -105, false);

		// affectation d'un ecouteur pour obtenir de l'aide
		panneau_resultat_composants.addMouseListener(ecouteur_aide_resultat_composants);

		// ajout au panneau du degrade composants
		panneau_resultat_composants.add(panneau_degrade_composants, BorderLayout.CENTER);

		// si il faut colorer le background des panneaux des resultats
		if (Ressources.getInstance().getBackgroundResultat() != null)
		{
			// on le fait
			panneau_resultat_systeme.setBackground(Ressources.getInstance().getBackgroundResultat());
			panneau_resultat_composants.setBackground(Ressources.getInstance().getBackgroundResultat());
		}

		// si il faut colorer le foreground des panneaux des resultats
		if (Ressources.getInstance().getForegroundResultat() != null)
		{
			// on le fait
			panneau_resultat_systeme.setForeground(Ressources.getInstance().getForegroundResultat());
			panneau_resultat_composants.setForeground(Ressources.getInstance().getForegroundResultat());
		}

		// ajout des panneaux resultat dans la grille du panneau des resultats
		add(panneau_resultat_systeme);
		add(panneau_resultat_composants);
    }





/*************************************/
/********** Autres mthodes **********/
/*************************************/

/*******************************************************************************************/
/** retourne un panneau constituer d'une grille d'un nombre de case egal aux nombre de ai afin d'y afficher le degrade du resultat */
	private JPanel getPanneauDegrade()
	{
		// creation du panneau
		JPanel panneau_degrade = new JPanel();

		// ajout d'une grille avec autant de cases que de ai
		panneau_degrade.setLayout(new GridLayout(1, Ressources.getInstance().getMaxGlissiere()+1, 0, 0));

		// si on souhaite colore le background de la partie resultat
		if (Ressources.getInstance().getBackgroundResultat() != null)
		{
			// et bien on le fait et c'est tout ;o)
		    panneau_degrade.setBackground(Ressources.getInstance().getBackgroundResultat());
		}

		// si on souhaite colore le foreground de la partie resultat
		if (Ressources.getInstance().getForegroundResultat() != null)
		{
			// et bien on le fait et c'est tout ;o)
		    panneau_degrade.setForeground(Ressources.getInstance().getForegroundResultat());
		}

		// affectation de la taille
		panneau_degrade.setPreferredSize(new Dimension(505,50));

		// retour du panneau intialise
		return(panneau_degrade);
	}



/*******************************************************************************************/
/** retourne un panneau  avec 3 labels ("Oui", "Indecision", "Non") */
	private JPanel getPanneauLabel()
	{
		// creation du panneau
		JPanel panneau_label = new JPanel();

		// affectation a ce dernier d'une grille de 3 case (une pour chaque mot)
		panneau_label.setLayout(new GridLayout(1, 3, 0, 0));

		// si on souhaite colore le background de la partie resultat
		if (Ressources.getInstance().getBackgroundResultat() != null)
		{
			// et bien on le fait et c'est tout ;o)
		    panneau_label.setBackground(Ressources.getInstance().getBackgroundResultat());
		}

		// si on souhaite colore le foreground de la partie resultat
		if (Ressources.getInstance().getForegroundResultat() != null)
		{
			// et bien on le fait et c'est tout ;o)
		    panneau_label.setForeground(Ressources.getInstance().getForegroundResultat());
		}

		// creation des labels
		panneau_label.add(new JLabel(Ressources.getInstance().getLabelGaucheResultat()));
		panneau_label.add(new JLabel(Ressources.getInstance().getLabelMilieuResultat(), JLabel.CENTER));
		panneau_label.add(new JLabel(Ressources.getInstance().getLabelDroiteResultat(), JLabel.RIGHT));

		// retour du panneau intialise
		return(panneau_label);
	}



/*******************************************************************************************/
/** retourne un panneau permttant d'accueillir le panneau du degrade au centre, la partie nord contenant celui des labels */
	private JPanel getPanneauResultat(String titre)
	{
		// creation du panneau
		JPanel panneau_resultat = new JPanel();

		// affichage de la bordure et du titre
		panneau_resultat.setBorder(new TitledBorder(titre));

		// application de la grille de ce dernier
		panneau_resultat.setLayout(new BorderLayout());

		// affichage du panneau des labels
		panneau_resultat.add(getPanneauLabel(), BorderLayout.NORTH);

		// retour du panneau intialise
		return(panneau_resultat);
	}



/*******************************************************************************************/
/** retourne l'ecouteur de l'aide pour les resultats du systeme */
	public EcouteurAideResultat getEcouteurAideResultatSysteme()
	{
		return (ecouteur_aide_resultat_systeme);
	}



/*******************************************************************************************/
/** retourne l'ecouteur de l'aide pour les resultats des composants */
	public EcouteurAideResultat getEcouteurAideResultatComposants()
	{
		return (ecouteur_aide_resultat_composants);
	}

}
// fin de la classe InterfaceResultats
