package adequation.ressources;


import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.ResourceBundle;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */


public class Erreur
{

/*******************************/
/********** Attributs **********/
/*******************************/

/** RessourceBundle permettant d'accder au fichier .properties definit par le langage utilis sur l'ordinateur */
    private static final ResourceBundle _resource = ResourceBundle.getBundle("adelfeToolkit/adequacy/Adelfe", new Locale(Locale.getDefault().getLanguage(), Locale.getDefault().getCountry()));

/** mmorise le nom et le chemin du fichier contenant les erreurs mises par le programme */
	private static final String _fichier_erreur = _resource.getString("ERREUR.FICHIER");

/** ouverture du fichier o tous les messages vont tre crit */
	private static final PrintWriter _log_writer = initTeteEcriture();





/*************************************/
/********** Autres Methodes **********/
/*************************************/

/*******************************************************************************************/
/** retourne le nom et le chemin du fichier qui contient les erreurs gnres par le programme */
	public static String getFichierErreur()
	{
		return (_fichier_erreur);
	}



/*******************************************************************************************/
/**
 * initialise la tte d'criture permettant d'inscrire les messages dans le fichier des erreurs
 *
 * @return  la tte d'criture permettant d'crire dans le fichier des erreurs
 */
	private static PrintWriter initTeteEcriture()
	{
		// dclaration de la tete d'ecriture que l'on initialise a null
	    PrintWriter tete_ecriture = null;

		// on essaie de la creer sur le fichier des erreurs
		try
		{
		    tete_ecriture = new PrintWriter (new FileWriter (_fichier_erreur));
		}

		// on leve l'exception
		catch (IOException ioe)
		{
			// et on affiche sur la sortie systeme le message d'erreur qui va bien
			System.out.println("Erreur lors de la cration de la tete d'ecriture (Ressources.Erreur.initTeteEcriture)");
		}

		// on retourne la tete d'ecriture
		return(tete_ecriture);
	}



/*******************************************************************************************/
/**
 * permet d'crire un message dans le fichier des erreurs
 *
 * @param  message  : message  inscrire dans le fichier
 */
	public static void setMessage(String message)
	{
		_log_writer.println(message + "\n");
	}

}
// fin de la classe Erreur
