/*
 * AdequacyLauncher.java
 *
 * Created on 6 juin 2003, 08:31
 */

package adelfeToolkit.adequacy;

import adequation.Fenetre.Fenetre;
import adequation.ressources.Ressources;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import adelfeToolkit.gui.AdelfeToolkitUI;

/** This frame extends the Fenetre class to exploit it in the toolkit. The main
 * difference is the response to the WindowEvent corresponding to the window
 * closing: instead of a Syste.exit(0) command, it does a simple hide().
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class AdequacyLauncher extends Fenetre {
  
  /** the frame to display */  
  private static JFrame monCadre;
  
  /** the ADELFEToolkitUI that owns the adequacy tool */  
  private static AdelfeToolkitUI owner;
  
  /** Creates a new instance of AdequacyLauncher
   * @param frame The parent frame.
   * @param o The owner of the AdequacyLauncher
   */
  public AdequacyLauncher(JFrame frame, AdelfeToolkitUI o) {
    super(frame);
    owner = o;
  }
  
  /** The main method of the AdequacyLauncher.
   * @param arg arguments
   */  
  public static void main(String[] arg) {
    // si la langue est passee en parametre
    if (arg.length == 1) {
      // Affichage de la langue choisie
      System.out.print("\nLangue: ");
      
      // si l'utilisateur veut l'interface en francais
      if (arg[0].equals("francais")) {
        // Affichage de la langie choisie
        System.out.println("Franais");
        
        // on regle les parametre de langue en fonction
        setLangue("fr");
        setPays("FR");
      }
      
      // sinon s'il veut l'anglais comme langue
      else if (arg[0].equals("anglais")) {
        // Affichage de la langie choisie
        System.out.println("Anglais");
        
        // pouf pouf, on met l'anglais
        setLangue("en");
        setPays("EN");
      }
      
      // si l'utilisateur demande une autre langue, c'est que c'est un gros boulet parce qu'il n'y en a pas d'autre pour l'instant
      else {
        System.out.println("\nLa langue que vous demandez n'est pas disponible. Pour l'instant il existe:\n- anglais\n- francais\n");
        System.exit(0);
      }
    }
    
    // creation de la frame generale
    monCadre = new JFrame(Ressources.getInstance().getTitreAdequation());
    
    // ajout de la fenetre de l'adequation
    monCadre.setContentPane(new Fenetre(monCadre));
    
    // permet de killer le process si on clique sur la croix
    monCadre.addWindowListener(new WindowAdapter() {public void windowClosing(WindowEvent e) {monCadre.hide();owner.setAdequacyRunning(false);}});
    
    // permet que la fenetre ne soit pas redimensionnable
    monCadre.setResizable(false);
    
    // mise en place des elements et ajustement de la forme de la fenetre
    monCadre.pack();
    
    // recuperation des dimensions de l'ecran
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    
    // on situe la fenetre au centre de l'ecran
    monCadre.setLocation(screenSize.width/2-monCadre.getSize().width/2, screenSize.height/2-monCadre.getSize().height/2);
    
    // affichage de la fenetre
    monCadre.setVisible(true);
  }
  
  /** Getter for property monCadre.
   * @return Value of property monCadre.
   *
   */
  public javax.swing.JFrame getMonCadre() {
    return monCadre;
  }
  
  /** Setter for property monCadre.
   * @param monCadre New value of property monCadre.
   *
   */
  public void setMonCadre(javax.swing.JFrame monCadre) {
    AdequacyLauncher.monCadre = monCadre;
  }
  
}
